"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[20307],{54565:(e,t,r)=>{r.d(t,{gx:()=>a,hC:()=>n,Zi:()=>d,pO:()=>u,tC:()=>l,ON:()=>m,_Y:()=>p});var i=r(26303),s=r(2156);const a=i.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${s.XE}
`,o=(i.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`,i.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`),n=i.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${o}
`,d=i.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${o}
`,u=i.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${o}
  ${s.XE}
`,l=i.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${o}
`,m=i.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,p=i.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${s.XE}
`},36458:(e,t,r)=>{r.d(t,{jJ:()=>m,_h:()=>c,OW:()=>$,yz:()=>g,t3:()=>h,iP:()=>A,dm:()=>y,fc:()=>b,Ew:()=>I});var i=r(26303),s=r(54565),a=r(58802),o=r(13433),n=r(2156),d=r(25463),u=r(79515),l=r(16978);const m=i.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
`,p=i.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
  ${d.UY}
  ${l.D}
  ${u.i4}
`,c=i.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${p}
  ${s.gx}
  ${o.tC}
  ${a.Os}
`,$=i.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${p}
  ${s.gx}
  ${o.tC}
  ${a.Os}
`,g=i.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,h=i.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,A=i.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,y=i.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=i.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,I=i.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${n.XE}
`;i.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${n.XE}
  ${d.UY}
`},13433:(e,t,r)=>{r.d(t,{tC:()=>n,Gw:()=>d,QV:()=>u,Sx:()=>l,vG:()=>m,Xv:()=>p});var i=r(26303),s=r(2156),a=r(79515);const o=i.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${a.i4}
  ${s.XE}
`,n=i.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${s.XE}
  ${a.i4}
`,d=i.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${n}
`,u=i.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${o}
`,l=i.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,m=i.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,p=i.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(e,t,r)=>{r.d(t,{Os:()=>a,ZX:()=>o,RP:()=>n,p3:()=>d,L2:()=>u,qC:()=>l});var i=r(26303),s=r(2156);const a=i.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,o=i.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${s.XE}
  ${a}
`,n=i.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${a}
`,d=i.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=i.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,l=i.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${a}
`},20307:(e,t,r)=>{r.d(t,{Z:()=>c});var i=r(23796),s=r(70655),a=r(2156),o=r(36458),n=r(75049),d=r(43637),u=r(76829),l=r(23940);const m=new Date;let p=class extends l.w3{constructor(...e){super(...e),(0,i.Z)(this,"group",void 0),(0,i.Z)(this,"currentActor",void 0),(0,i.Z)(this,"person",void 0)}get isCurrentActorAGroupAdmin(){return this.hasCurrentActorThisRole(u.UB.ADMINISTRATOR)}get isCurrentActorAGroupModerator(){return this.hasCurrentActorThisRole([u.UB.MODERATOR,u.UB.ADMINISTRATOR])}get isCurrentActorAGroupMember(){return this.hasCurrentActorThisRole([u.UB.MODERATOR,u.UB.ADMINISTRATOR,u.UB.MEMBER])}get isCurrentActorAPendingGroupMember(){return this.hasCurrentActorThisRole([u.UB.NOT_APPROVED])}hasCurrentActorThisRole(e){const t=Array.isArray(e)?e:[e];return this.person?.memberships?.total>0&&t.includes(this.person?.memberships?.elements[0].role)}get isCurrentActorFollowing(){return!0===this.currentActorFollow?.approved}get isCurrentActorPendingFollow(){return!1===this.currentActorFollow?.approved}get isCurrentActorFollowingNotify(){return this.isCurrentActorFollowing&&!0===this.currentActorFollow?.notify}get currentActorFollow(){return this.person?.follows?.total>0?this.person?.follows?.elements[0]:null}handleErrors(e){(e.some((e=>404===e.status_code))||e.some((({message:e})=>e.includes("has invalid value $uuid"))))&&this.$router.replace({name:n.Z.PAGE_NOT_FOUND})}confirmDeleteGroup(){this.$buefy.dialog.confirm({title:this.$t("Delete group"),message:this.$t("Are you sure you want to <b>completely delete</b> this group? All members - including remote ones - will be notified and removed from the group, and <b>all of the group data (events, posts, discussions, todos…) will be irretrievably destroyed</b>."),confirmText:this.$t("Delete group"),cancelText:this.$t("Cancel"),type:"is-danger",hasIcon:!0,onConfirm:()=>this.deleteGroup()})}async deleteGroup(){return await this.$apollo.mutate({mutation:o.iP,variables:{groupId:this.group.id}}),this.$router.push({name:n.Z.MY_GROUPS})}};p=(0,s.gn)([(0,l.wA)({apollo:{group:{query:o._h,fetchPolicy:"cache-and-network",variables(){return{name:this.$route.params.preferredUsername,beforeDateTime:null,afterDateTime:m}},skip(){return!this.$route.params.preferredUsername},error({graphQLErrors:e}){this.handleErrors(e)}},person:{query:a.lh,fetchPolicy:"cache-and-network",variables(){return{id:this.currentActor.id,group:(0,d.U_)(this.group)}},subscribeToMore:{document:a.NE,variables(){return{actorId:this.currentActor.id,group:this.group?.preferredUsername}},skip(){return!this.currentActor||!this.currentActor.id||!this.group?.preferredUsername}},skip(){return!this.currentActor||!this.currentActor.id||!this.group?.preferredUsername}},currentActor:a.z_}})],p);const c=p}}]);
//# sourceMappingURL=20307.100d8d0e.js.map