"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[39416],{54565:(t,e,i)=>{i.d(e,{gx:()=>s,hC:()=>n,Zi:()=>l,pO:()=>u,tC:()=>d,ON:()=>c,_Y:()=>m});var r=i(26303),a=i(2156);const s=r.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${a.XE}
`,o=(r.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`,r.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`),n=r.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${o}
`,l=r.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${o}
`,u=r.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${o}
  ${a.XE}
`,d=r.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${o}
`,c=r.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,m=r.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${a.XE}
`},36458:(t,e,i)=>{i.d(e,{jJ:()=>c,_h:()=>p,OW:()=>$,yz:()=>g,t3:()=>y,iP:()=>v,dm:()=>h,fc:()=>b,Ew:()=>A});var r=i(26303),a=i(54565),s=i(58802),o=i(13433),n=i(2156),l=i(25463),u=i(79515),d=i(16978);const c=r.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
`,m=r.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
  ${l.UY}
  ${d.D}
  ${u.i4}
`,p=r.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${m}
  ${a.gx}
  ${o.tC}
  ${s.Os}
`,$=r.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${m}
  ${a.gx}
  ${o.tC}
  ${s.Os}
`,g=r.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,y=r.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,v=r.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,h=r.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=r.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,A=r.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${n.XE}
`;r.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${n.XE}
  ${l.UY}
`},13433:(t,e,i)=>{i.d(e,{tC:()=>n,Gw:()=>l,QV:()=>u,Sx:()=>d,vG:()=>c,Xv:()=>m});var r=i(26303),a=i(2156),s=i(79515);const o=r.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${s.i4}
  ${a.XE}
`,n=r.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${a.XE}
  ${s.i4}
`,l=r.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${n}
`,u=r.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${o}
`,d=r.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,c=r.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,m=r.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(t,e,i)=>{i.d(e,{Os:()=>s,ZX:()=>o,RP:()=>n,p3:()=>l,L2:()=>u,qC:()=>d});var r=i(26303),a=i(2156);const s=r.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,o=r.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${a.XE}
  ${s}
`,n=r.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${s}
`,l=r.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=r.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,d=r.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${s}
`},39416:(t,e,i)=>{i.r(e),i.d(e,{default:()=>k});var r=function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("div",{staticClass:"container section"},[i("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[t.group?i("ul",[i("li",[i("router-link",{attrs:{to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.group.name))])],1),i("li",[i("router-link",{attrs:{to:{name:t.RouteName.TIMELINE,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Activity")))])],1)]):t._e()]),i("section",{staticClass:"timeline"},[i("b-field",[i("b-radio-button",{attrs:{"native-value":void 0},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"timeline-text"}}),t._v(" "+t._s(t.$t("All activities")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.MEMBER},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"account-multiple-plus"}}),t._v(" "+t._s(t.$t("Members")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.GROUP},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"cog"}}),t._v(" "+t._s(t.$t("Settings")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.EVENT},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"calendar"}}),t._v(" "+t._s(t.$t("Events")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.POST},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"bullhorn"}}),t._v(" "+t._s(t.$t("Posts")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.DISCUSSION},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"chat"}}),t._v(" "+t._s(t.$t("Discussions")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityType.RESOURCE},model:{value:t.activityType,callback:function(e){t.activityType=e},expression:"activityType"}},[i("b-icon",{attrs:{icon:"link"}}),t._v(" "+t._s(t.$t("Resources")))],1)],1),i("b-field",[i("b-radio-button",{attrs:{"native-value":void 0},model:{value:t.activityAuthor,callback:function(e){t.activityAuthor=e},expression:"activityAuthor"}},[i("b-icon",{attrs:{icon:"timeline-text"}}),t._v(" "+t._s(t.$t("All activities")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityAuthorFilter.SELF},model:{value:t.activityAuthor,callback:function(e){t.activityAuthor=e},expression:"activityAuthor"}},[i("b-icon",{attrs:{icon:"account"}}),t._v(" "+t._s(t.$t("From yourself")))],1),i("b-radio-button",{attrs:{"native-value":t.ActivityAuthorFilter.BY},model:{value:t.activityAuthor,callback:function(e){t.activityAuthor=e},expression:"activityAuthor"}},[i("b-icon",{attrs:{icon:"account-multiple"}}),t._v(" "+t._s(t.$t("By others")))],1)],1),i("transition-group",{attrs:{name:"timeline-list",tag:"div"}},t._l(Object.entries(t.activities),(function(e){var r=e[0],a=e[1];return i("div",{key:r,staticClass:"day"},[-1!==r.search(/skeleton/)?i("b-skeleton",{attrs:{width:"300px",height:"48px"}}):t.isToday(r)?i("h2",{staticClass:"is-size-3 has-text-weight-bold"},[i("span",{directives:[{name:"tooltip",rawName:"v-tooltip",value:t.$options.filters.formatDateString(r),expression:"$options.filters.formatDateString(date)"}]},[t._v(" "+t._s(t.$t("Today"))+" ")])]):t.isYesterday(r)?i("h2",{staticClass:"is-size-3 has-text-weight-bold"},[i("span",{directives:[{name:"tooltip",rawName:"v-tooltip",value:t.$options.filters.formatDateString(r),expression:"$options.filters.formatDateString(date)"}]},[t._v(t._s(t.$t("Yesterday")))])]):i("h2",{staticClass:"is-size-3 has-text-weight-bold"},[t._v(" "+t._s(t._f("formatDateString")(r))+" ")]),i("ul",t._l(a,(function(e){return i("li",{key:e.id},[e.skeleton?i("skeleton-activity-item"):i(t.component(e.type),{tag:"component",attrs:{activity:e}})],1)})),0)],1)})),0),!t.$apollo.loading&&t.activity.elements.length>0&&t.activity.elements.length>=t.activity.total?i("empty-content",{attrs:{icon:"timeline-text"}},[t._v(" "+t._s(t.$t("No more activity to display."))+" ")]):t._e(),t.$apollo.loading||0!==t.activity.total?t._e():i("empty-content",{attrs:{icon:"timeline-text"}},[t._v(" "+t._s(t.$t("There is no activity yet. Start doing some things to see activity appear here."))+" ")]),i("observer",{on:{intersect:t.loadMore}}),t.activity.elements.length<t.activity.total?i("b-button",{on:{click:t.loadMore}},[t._v(t._s(t.$t("Load more activities")))]):t._e()],1)])},a=[],s=i(23796),o=i(70655),n=i(36458),l=i(43637),u=i(76829),d=i(23940),c=function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("div",{staticClass:"observer"})},m=[];i(66337);let p=class extends d.w3{constructor(...t){super(...t),(0,s.Z)(this,"options",void 0),(0,s.Z)(this,"observer",void 0)}mounted(){this.observer=new IntersectionObserver((([t])=>{t&&t.isIntersecting&&this.$emit("intersect")}),this.options),this.observer.observe(this.$el)}destroyed(){this.observer.disconnect()}};(0,o.gn)([(0,d.fI)({required:!1,default:()=>({})})],p.prototype,"options",void 0),p=(0,o.gn)([d.wA],p);const $=p,g=$;var y=i(1001),v=(0,y.Z)(g,c,m,!1,null,null,null);const h=v.exports;var b=function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("div",{staticClass:"activity-item"},[i("span",[i("b-skeleton",{attrs:{circle:"",width:"32px",height:"32px"}})],1),i("div",{staticClass:"subject"},[i("div",{staticClass:"content"},[i("p",[i("b-skeleton",{attrs:{active:""}}),i("b-skeleton",{staticClass:"datetime",attrs:{active:""}})],1)])])])},A=[],I={},f=(0,y.Z)(I,b,A,!1,null,"c95fdfec",null);const D=f.exports;var F=i(75049);const P=25,T=2,S=5;var U;(function(t){t["SELF"]="SELF",t["BY"]="BY"})(U||(U={}));let _=class extends d.w3{constructor(...t){super(...t),(0,s.Z)(this,"preferredUsername",void 0),(0,s.Z)(this,"group",void 0),(0,s.Z)(this,"RouteName",F.Z),(0,s.Z)(this,"usernameWithDomain",l.U_),(0,s.Z)(this,"ActivityType",u.T8),(0,s.Z)(this,"ActivityAuthorFilter",U),(0,s.Z)(this,"page",1),(0,s.Z)(this,"limit",P)}get activityType(){if(this.$route?.query?.type)return this.$route?.query?.type}set activityType(t){this.$router.push({name:F.Z.TIMELINE,params:{preferredUsername:this.preferredUsername},query:{...this.$route.query,type:t}})}get activityAuthor(){if(this.$route?.query?.author)return this.$route?.query?.author}set activityAuthor(t){this.$router.push({name:F.Z.TIMELINE,params:{preferredUsername:this.preferredUsername},query:{...this.$route.query,author:t}})}get activity(){return this.group?this.group.activity:{total:0,elements:this.skeletons.map((t=>({skeleton:t})))}}component(t){switch(t){case u.T8.EVENT:return"event-activity-item";case u.T8.POST:return"post-activity-item";case u.T8.MEMBER:return"member-activity-item";case u.T8.RESOURCE:return"resource-activity-item";case u.T8.DISCUSSION:return"discussion-activity-item";case u.T8.GROUP:return"group-activity-item"}}get skeletons(){return[...Array(T)].map(((t,e)=>[...Array(S)].map(((t,i)=>`${e}-${i}`)))).flat()}async loadMore(){if(!(this.page*P>=this.activity.total)){this.page++;try{await this.$apollo.queries.group.fetchMore({variables:{page:this.page,limit:P}})}catch(t){console.error(t)}}}get activities(){return this.activity.elements.reduce(((t,e)=>{let i;if(this.isIActivity(e)){const t=new Date(e.insertedAt);t.setHours(0),t.setMinutes(0),t.setSeconds(0),t.setMilliseconds(0),i=t.toISOString()}else i=`skeleton-${e.skeleton.split("-")[0]}`;const r=t[i];return t[i]=r?[...r,e]:[e],t}),{})}isIActivity(t){return!("skeleton"in t)}getRandomInt(t,e){return t=Math.ceil(t),e=Math.floor(e),Math.floor(Math.random()*(e-t)+t)}isToday(t){const e=new Date,i=new Date(t);return e.getFullYear()===i.getFullYear()&&e.getMonth()===i.getMonth()&&e.getDate()===i.getDate()}isYesterday(t){const e=new Date(t),i=new Date;return i.setDate(i.getDate()-1),i.getFullYear()===e.getFullYear()&&i.getMonth()===e.getMonth()&&i.getDate()===e.getDate()}};(0,o.gn)([(0,d.fI)({required:!0,type:String})],_.prototype,"preferredUsername",void 0),_=(0,o.gn)([(0,d.wA)({apollo:{group:{query:n.Ew,fetchPolicy:"cache-and-network",variables(){return{preferredUsername:this.preferredUsername,page:1,limit:P,type:this.activityType,author:this.activityAuthor}}}},components:{Observer:h,SkeletonActivityItem:D,"event-activity-item":()=>i.e(29786).then(i.bind(i,29786)),"post-activity-item":()=>i.e(43897).then(i.bind(i,43897)),"member-activity-item":()=>i.e(29855).then(i.bind(i,29855)),"resource-activity-item":()=>i.e(25524).then(i.bind(i,25524)),"discussion-activity-item":()=>i.e(24079).then(i.bind(i,24079)),"group-activity-item":()=>i.e(23172).then(i.bind(i,23172)),"empty-content":()=>i.e(58123).then(i.bind(i,58123))},metaInfo(){return{title:this.$t("{group} activity timeline",{group:this.group?.name}),titleTemplate:"%s | Mobilizon"}}})],_);const E=_,Z=E;var x=(0,y.Z)(Z,r,a,!1,null,"3f8ed875",null);const k=x.exports}}]);
//# sourceMappingURL=39416.30de375c.js.map