"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[39862],{54565:(t,e,i)=>{i.d(e,{gx:()=>r,hC:()=>n,Zi:()=>d,pO:()=>u,tC:()=>l,ON:()=>m,_Y:()=>p});var s=i(26303),a=i(2156);const r=s.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${a.XE}
`,o=(s.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`,s.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`),n=s.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${o}
`,d=s.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${o}
`,u=s.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${o}
  ${a.XE}
`,l=s.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${o}
`,m=s.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,p=s.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${a.XE}
`},36458:(t,e,i)=>{i.d(e,{jJ:()=>m,_h:()=>$,OW:()=>c,yz:()=>g,t3:()=>I,iP:()=>y,dm:()=>h,fc:()=>b,Ew:()=>v});var s=i(26303),a=i(54565),r=i(58802),o=i(13433),n=i(2156),d=i(25463),u=i(79515),l=i(16978);const m=s.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
`,p=s.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
  ${d.UY}
  ${l.D}
  ${u.i4}
`,$=s.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${p}
  ${a.gx}
  ${o.tC}
  ${r.Os}
`,c=s.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${p}
  ${a.gx}
  ${o.tC}
  ${r.Os}
`,g=s.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,I=s.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,y=s.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,h=s.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=s.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,v=s.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${n.XE}
`;s.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${n.XE}
  ${d.UY}
`},13433:(t,e,i)=>{i.d(e,{tC:()=>n,Gw:()=>d,QV:()=>u,Sx:()=>l,vG:()=>m,Xv:()=>p});var s=i(26303),a=i(2156),r=i(79515);const o=s.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${r.i4}
  ${a.XE}
`,n=s.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${a.XE}
  ${r.i4}
`,d=s.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${n}
`,u=s.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${o}
`,l=s.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,m=s.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,p=s.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(t,e,i)=>{i.d(e,{Os:()=>r,ZX:()=>o,RP:()=>n,p3:()=>d,L2:()=>u,qC:()=>l});var s=i(26303),a=i(2156);const r=s.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,o=s.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${a.XE}
  ${r}
`,n=s.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${r}
`,d=s.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=s.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,l=s.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${r}
`},61360:(t,e,i)=>{i.d(e,{Vg:()=>r,qI:()=>o,VL:()=>n,IH:()=>d,Iu:()=>u});var s=i(26303),a=i(2156);const r=s.ZP`
  query GetTodo($id: ID!) {
    todo(id: $id) {
      id
      title
      status
      dueDate
      todoList {
        actor {
          ...ActorFragment
        }
        title
        id
      }
      assignedTo {
        ...ActorFragment
      }
    }
  }
  ${a.XE}
`,o=s.ZP`
  query FetchTodoList($id: ID!) {
    todoList(id: $id) {
      id
      title
      todos {
        total
        elements {
          id
          title
          status
          assignedTo {
            ...ActorFragment
          }
          dueDate
        }
      }
      actor {
        ...ActorFragment
      }
    }
  }
  ${a.XE}
`,n=s.ZP`
  mutation CreateTodoList($title: String!, $groupId: ID!) {
    createTodoList(title: $title, groupId: $groupId) {
      id
      title
      todos {
        total
        elements {
          id
        }
      }
    }
  }
`,d=s.ZP`
  mutation createTodo(
    $title: String!
    $todoListId: ID!
    $status: Boolean
    $assignedToId: ID
    $dueDate: DateTime
  ) {
    createTodo(
      title: $title
      todoListId: $todoListId
      status: $status
      assignedToId: $assignedToId
      dueDate: $dueDate
    ) {
      id
      title
      status
      assignedTo {
        id
      }
      creator {
        id
      }
      dueDate
    }
  }
`,u=s.ZP`
  mutation updateTodo(
    $id: ID!
    $title: String
    $status: Boolean
    $assignedToId: ID
    $dueDate: DateTime
  ) {
    updateTodo(
      id: $id
      title: $title
      status: $status
      assignedToId: $assignedToId
      dueDate: $dueDate
    ) {
      id
      title
      status
      assignedTo {
        id
      }
      creator {
        id
      }
      dueDate
    }
  }
`},20014:(t,e,i)=>{i.d(e,{Z:()=>I});var s=function(){var t=this,e=t.$createElement,i=t._self._c||e;return t.todo?i("div",{staticClass:"card"},[i("div",{staticClass:"card-content"},[i("b-checkbox",{model:{value:t.status,callback:function(e){t.status=e},expression:"status"}}),i("router-link",{attrs:{to:{name:t.RouteName.TODO,params:{todoId:t.todo.id}}}},[t._v(t._s(t.todo.title))]),i("span",{staticClass:"details has-text-grey"},[t.todo.dueDate?i("span",{staticClass:"due_date"},[i("b-icon",{attrs:{icon:"calendar"}}),t._v(" "+t._s(t._f("formatDateString")(t.todo.dueDate))+" ")],1):t._e(),t.todo.assignedTo?i("span",{staticClass:"assigned_to"},[i("b-icon",{attrs:{icon:"account"}}),t._v(" "+t._s("@"+t.todo.assignedTo.preferredUsername)+" "),t.todo.assignedTo.domain?i("span",[t._v(t._s("@"+t.todo.assignedTo.domain))]):t._e()],1):t._e()])],1)]):t._e()},a=[],r=i(23796),o=i(70655),n=i(23940),d=i(24167),u=i(75049),l=i(61360);let m=class extends n.w3{constructor(...t){super(...t),(0,r.Z)(this,"todo",void 0),(0,r.Z)(this,"RouteName",u.Z),(0,r.Z)(this,"editMode",!1)}get status(){return this.todo.status}set status(t){this.updateTodo({status:t})}async updateTodo(t){try{await this.$apollo.mutate({mutation:l.Iu,variables:{id:this.todo.id,...t}}),this.editMode=!1}catch(e){d.GU.open({message:e.message,type:"is-danger",position:"is-bottom"})}}};(0,o.gn)([(0,n.fI)({required:!0,type:Object})],m.prototype,"todo",void 0),m=(0,o.gn)([n.wA],m);const p=m,$=p;var c=i(1001),g=(0,c.Z)($,s,a,!1,null,"5150a17c",null);const I=g.exports},39862:(t,e,i)=>{i.r(e),i.d(e,{default:()=>h});var s=function(){var t=this,e=t.$createElement,i=t._self._c||e;return t.group?i("div",{staticClass:"container section"},[i("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[i("ul",[i("li",[i("router-link",{attrs:{to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.group.name))])],1),i("li",{staticClass:"is-active"},[i("router-link",{attrs:{to:{name:t.RouteName.TODO_LISTS,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Task lists")))])],1)])]),i("section",[i("p",[t._v(" "+t._s(t.$t("Create to-do lists for all the tasks you need to do, assign them and set due dates."))+" ")]),i("form",{staticClass:"form",on:{submit:function(e){return e.preventDefault(),t.createNewTodoList.apply(null,arguments)}}},[i("b-field",{attrs:{label:t.$t("List title")}},[i("b-input",{model:{value:t.newTodoList.title,callback:function(e){t.$set(t.newTodoList,"title",e)},expression:"newTodoList.title"}})],1),i("b-button",{attrs:{"native-type":"submit"}},[t._v(t._s(t.$t("Create a new list")))])],1),t._l(t.todoLists,(function(e){return i("div",{key:e.id},[i("router-link",{attrs:{to:{name:t.RouteName.TODO_LIST,params:{id:e.id}}}},[i("h3",{staticClass:"is-size-3"},[t._v(" "+t._s(t.$tc("{title} ({count} todos)",e.todos.total,{count:e.todos.total,title:e.title}))+" ")])]),t._l(e.todos.elements,(function(t){return i("compact-todo",{key:t.id,attrs:{todo:t}})}))],2)}))],2)]):t._e()},a=[],r=i(23796),o=i(70655),n=i(23940),d=i(36458),u=i(43637),l=i(61360),m=i(20014),p=i(75049);let $=class extends n.w3{constructor(...t){super(...t),(0,r.Z)(this,"preferredUsername",void 0),(0,r.Z)(this,"group",void 0),(0,r.Z)(this,"newTodoList",{title:"",id:"",todos:{elements:[],total:0}}),(0,r.Z)(this,"RouteName",p.Z),(0,r.Z)(this,"usernameWithDomain",u.U_)}get todoLists(){return this.group.todoLists.elements}get todoListsCount(){return this.group.todoLists.total}async createNewTodoList(){await this.$apollo.mutate({mutation:l.VL,variables:{title:this.newTodoList.title,groupId:this.group.id}})}};(0,o.gn)([(0,n.fI)({type:String,required:!0})],$.prototype,"preferredUsername",void 0),$=(0,o.gn)([(0,n.wA)({apollo:{group:{query:d._h,fetchPolicy:"cache-and-network",variables(){return{name:this.$route.params.preferredUsername}}}},components:{CompactTodo:m.Z},metaInfo(){const{group:t}=this;return{title:this.$t("{group}'s todolists",{group:t.name||(0,u.U_)(t)})}}})],$);const c=$,g=c;var I=i(1001),y=(0,I.Z)(g,s,a,!1,null,null,null);const h=y.exports}}]);
//# sourceMappingURL=39862.8912b450.js.map