"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[40148],{54565:(t,e,r)=>{r.d(e,{gx:()=>a,hC:()=>o,Zi:()=>d,pO:()=>u,tC:()=>l,ON:()=>c,_Y:()=>m});var i=r(26303),s=r(2156);const a=i.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${s.XE}
`,n=(i.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`,i.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`),o=i.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${n}
`,d=i.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${n}
`,u=i.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${n}
  ${s.XE}
`,l=i.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${n}
`,c=i.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,m=i.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${s.XE}
`},36458:(t,e,r)=>{r.d(e,{jJ:()=>c,_h:()=>p,OW:()=>$,yz:()=>g,t3:()=>h,iP:()=>y,dm:()=>v,fc:()=>b,Ew:()=>A});var i=r(26303),s=r(54565),a=r(58802),n=r(13433),o=r(2156),d=r(25463),u=r(79515),l=r(16978);const c=i.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
`,m=i.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
  ${d.UY}
  ${l.D}
  ${u.i4}
`,p=i.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${m}
  ${s.gx}
  ${n.tC}
  ${a.Os}
`,$=i.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${m}
  ${s.gx}
  ${n.tC}
  ${a.Os}
`,g=i.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,h=i.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,y=i.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,v=i.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=i.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,A=i.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${o.XE}
`;i.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${o.XE}
  ${d.UY}
`},13433:(t,e,r)=>{r.d(e,{tC:()=>o,Gw:()=>d,QV:()=>u,Sx:()=>l,vG:()=>c,Xv:()=>m});var i=r(26303),s=r(2156),a=r(79515);const n=i.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${a.i4}
  ${s.XE}
`,o=i.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${s.XE}
  ${a.i4}
`,d=i.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${o}
`,u=i.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${n}
`,l=i.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,c=i.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,m=i.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(t,e,r)=>{r.d(e,{Os:()=>a,ZX:()=>n,RP:()=>o,p3:()=>d,L2:()=>u,qC:()=>l});var i=r(26303),s=r(2156);const a=i.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,n=i.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${s.XE}
  ${a}
`,o=i.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${a}
`,d=i.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=i.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,l=i.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${a}
`},40148:(t,e,r)=>{r.r(e),r.d(e,{default:()=>g});var i=function(){var t=this,e=t.$createElement,r=t._self._c||e;return t.uri?r("redirect-with-account",{attrs:{uri:t.uri,pathAfterLogin:"/@"+t.preferredUsername,sentence:t.sentence}}):t._e()},s=[],a=r(23796),n=r(70655),o=r(23940),d=r(46397),u=r(36458);let l=class extends o.w3{constructor(...t){super(...t),(0,a.Z)(this,"preferredUsername",void 0),(0,a.Z)(this,"group",void 0),(0,a.Z)(this,"sentence",this.$t("We will redirect you to your instance in order to interact with this group"))}get uri(){return this.group?.url}get groupTitle(){return this.group?.name||this.group?.preferredUsername}};(0,n.gn)([(0,o.fI)({type:String,required:!0})],l.prototype,"preferredUsername",void 0),l=(0,n.gn)([(0,o.wA)({components:{RedirectWithAccount:d.Z},apollo:{group:{query:u._h,fetchPolicy:"cache-and-network",variables(){return{name:this.$route.params.preferredUsername,beforeDateTime:null,afterDateTime:new Date}},skip(){return!this.$route.params.preferredUsername}}},metaInfo(){return{title:this.$t("Join group {group}",{group:this.groupTitle})}}})],l);const c=l,m=c;var p=r(1001),$=(0,p.Z)(m,i,s,!1,null,null,null);const g=$.exports},46397:(t,e,r)=>{r.d(e,{Z:()=>y});var i=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("section",{staticClass:"section container hero is-fullheight"},[r("div",{staticClass:"hero-body"},[r("div",{staticClass:"container"},[r("div",{staticClass:"columns is-vcentered"},[r("div",{staticClass:"column has-text-centered"},[r("b-button",{attrs:{type:"is-primary",size:"is-medium",tag:"router-link",to:{name:t.RouteName.LOGIN,query:{code:t.LoginErrorCode.NEED_TO_LOGIN,redirect:t.pathAfterLogin}}}},[t._v(t._s(t.$t("Login on {instance}",{instance:t.host})))])],1),r("vertical-divider",{attrs:{content:t.$t("Or")}}),r("div",{staticClass:"column"},[r("subtitle",[t._v(t._s(t.$t("I have an account on another Mobilizon instance.")))]),r("p",[t._v(t._s(t.$t("Other software may also support this.")))]),r("p",[t._v(t._s(t.sentence))]),r("form",{on:{submit:function(e){return e.preventDefault(),t.redirectToInstance.apply(null,arguments)}}},[r("b-field",{attrs:{label:t.$t("Your federated identity")}},[r("b-field",[r("b-input",{attrs:{expanded:"",autocapitalize:"none",autocorrect:"off",placeholder:t.$t("profile@instance")},model:{value:t.remoteActorAddress,callback:function(e){t.remoteActorAddress=e},expression:"remoteActorAddress"}}),r("p",{staticClass:"control"},[r("button",{staticClass:"button is-primary",attrs:{type:"submit"}},[t._v(" "+t._s(t.$t("Go"))+" ")])])],1)],1)],1)],1)],1),r("div",{staticClass:"has-text-centered"},[r("b-button",{attrs:{tag:"a",type:"is-text"},on:{click:function(e){return t.$router.go(-1)}}},[t._v(t._s(t.$t("Back to previous page")))])],1)])])])},s=[],a=r(23796),n=r(70655),o=r(23940),d=r(76178),u=r(76531),l=r(76829),c=r(75049);let m=class extends o.w3{constructor(...t){super(...t),(0,a.Z)(this,"uri",void 0),(0,a.Z)(this,"pathAfterLogin",void 0),(0,a.Z)(this,"sentence",void 0),(0,a.Z)(this,"remoteActorAddress",""),(0,a.Z)(this,"RouteName",c.Z),(0,a.Z)(this,"LoginErrorCode",l.vm)}get host(){return window.location.hostname}async redirectToInstance(){const[,t]=this.remoteActorAddress.split("@",2),e=await this.webFingerFetch(t,this.remoteActorAddress);window.open(e)}async webFingerFetch(t,e){const r="https",i=await(await fetch(`${r}://${t}/.well-known/webfinger?resource=acct:${e}`)).json();if(i&&Array.isArray(i.links)){const t=i.links.find((t=>t&&"string"===typeof t.template&&"http://ostatus.org/schema/1.0/subscribe"===t.rel));if(t&&t.template.includes("{uri}"))return t.template.replace("{uri}",encodeURIComponent(this.uri))}throw new Error("No interaction path found in webfinger data")}};(0,n.gn)([(0,o.fI)({type:String,required:!0})],m.prototype,"uri",void 0),(0,n.gn)([(0,o.fI)({type:String,required:!1})],m.prototype,"pathAfterLogin",void 0),(0,n.gn)([(0,o.fI)({type:String,required:!1})],m.prototype,"sentence",void 0),m=(0,n.gn)([(0,o.wA)({components:{Subtitle:u.Z,VerticalDivider:d.Z}})],m);const p=m,$=p;var g=r(1001),h=(0,g.Z)($,i,s,!1,null,null,null);const y=h.exports},76178:(t,e,r)=>{r.d(e,{Z:()=>p});var i=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"is-divider-vertical",attrs:{"data-content":t.dataContent}})},s=[],a=r(23796),n=r(70655),o=r(23940);let d=class extends o.w3{constructor(...t){super(...t),(0,a.Z)(this,"content",void 0)}get dataContent(){return this.content.toLocaleUpperCase()}};(0,n.gn)([(0,o.fI)({default:"Or"})],d.prototype,"content",void 0),d=(0,n.gn)([o.wA],d);const u=d,l=u;var c=r(1001),m=(0,c.Z)(l,i,s,!1,null,"7dc6dbd4",null);const p=m.exports}}]);
//# sourceMappingURL=40148.2b285826.js.map