"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[6518,58123],{54565:(t,e,r)=>{r.d(e,{gx:()=>s,hC:()=>n,Zi:()=>l,pO:()=>u,tC:()=>d,ON:()=>p,_Y:()=>m});var a=r(26303),i=r(2156);const s=a.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${i.XE}
`,o=(a.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`,a.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`),n=a.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${o}
`,l=a.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${o}
`,u=a.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${o}
  ${i.XE}
`,d=a.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${o}
`,p=a.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,m=a.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${i.XE}
`},36458:(t,e,r)=>{r.d(e,{jJ:()=>p,_h:()=>g,OW:()=>c,yz:()=>$,t3:()=>b,iP:()=>h,dm:()=>v,fc:()=>y,Ew:()=>f});var a=r(26303),i=r(54565),s=r(58802),o=r(13433),n=r(2156),l=r(25463),u=r(79515),d=r(16978);const p=a.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
`,m=a.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
  ${l.UY}
  ${d.D}
  ${u.i4}
`,g=a.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${m}
  ${i.gx}
  ${o.tC}
  ${s.Os}
`,c=a.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${m}
  ${i.gx}
  ${o.tC}
  ${s.Os}
`,$=a.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,b=a.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,h=a.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,v=a.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,y=a.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,f=a.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${n.XE}
`;a.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${n.XE}
  ${l.UY}
`},13433:(t,e,r)=>{r.d(e,{tC:()=>n,Gw:()=>l,QV:()=>u,Sx:()=>d,vG:()=>p,Xv:()=>m});var a=r(26303),i=r(2156),s=r(79515);const o=a.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${s.i4}
  ${i.XE}
`,n=a.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${i.XE}
  ${s.i4}
`,l=a.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${n}
`,u=a.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${o}
`,d=a.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,p=a.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,m=a.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(t,e,r)=>{r.d(e,{Os:()=>s,ZX:()=>o,RP:()=>n,p3:()=>l,L2:()=>u,qC:()=>d});var a=r(26303),i=r(2156);const s=a.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,o=a.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${i.XE}
  ${s}
`,n=a.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${s}
`,l=a.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=a.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,d=a.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${s}
`},34752:(t,e,r)=>{function a(t,e=2){if(0===t)return"0 Bytes";const r=1024,a=e<0?0:e,i=["Bytes","KB","MB","GB","TB","PB","EB","ZB","YB"],s=Math.floor(Math.log(t)/Math.log(r));return`${parseFloat((t/r**s).toFixed(a))} ${i[s]}`}r.d(e,{td:()=>a})},58123:(t,e,r)=>{r.r(e),r.d(e,{default:()=>g});var a=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"empty-content",class:{inline:t.inline},attrs:{role:"note"}},[r("b-icon",{attrs:{icon:t.icon,size:"is-large"}}),r("h2",{staticClass:"empty-content__title"},[t._t("default")],2),r("p",{directives:[{name:"show",rawName:"v-show",value:t.$slots.desc,expression:"$slots.desc"}]},[t._t("desc")],2)],1)},i=[],s=r(23796),o=r(70655),n=r(23940);let l=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"icon",void 0),(0,s.Z)(this,"inline",void 0)}};(0,o.gn)([(0,n.fI)({type:String,required:!0})],l.prototype,"icon",void 0),(0,o.gn)([(0,n.fI)({type:Boolean,required:!1,default:!1})],l.prototype,"inline",void 0),l=(0,o.gn)([n.wA],l);const u=l,d=u;var p=r(1001),m=(0,p.Z)(d,a,i,!1,null,null,null);const g=m.exports},95231:(t,e,r)=>{r.r(e),r.d(e,{default:()=>S});var a=function(){var t=this,e=t.$createElement,r=t._self._c||e;return t.group?r("div",{staticClass:"section"},[r("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[r("ul",[r("li",[r("router-link",{attrs:{to:{name:t.RouteName.ADMIN}}},[t._v(t._s(t.$t("Admin")))])],1),r("li",[r("router-link",{attrs:{to:{name:t.RouteName.ADMIN_GROUPS}}},[t._v(t._s(t.$t("Groups")))])],1),r("li",{staticClass:"is-active"},[r("router-link",{attrs:{to:{name:t.RouteName.PROFILES,params:{id:t.group.id}}}},[t._v(t._s(t.group.name||t.usernameWithDomain(t.group)))])],1)])]),r("div",{staticClass:"actor-card"},[t.group.suspended?r("p",[r("actor-card",{attrs:{actor:t.group,full:!0,popover:!1,limit:!1}})],1):r("router-link",{attrs:{to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[r("actor-card",{attrs:{actor:t.group,full:!0,popover:!1,limit:!1}})],1)],1),t.metadata.length>0?r("table",{staticClass:"table is-fullwidth"},[r("tbody",t._l(t.metadata,(function(e){var a=e.key,i=e.value,s=e.link;return r("tr",{key:a},[r("td",[t._v(t._s(a))]),s?r("td",[r("router-link",{attrs:{to:s}},[t._v(" "+t._s(i)+" ")])],1):r("td",[t._v(t._s(i))])])})),0)]):t._e(),r("div",{staticClass:"buttons"},[t.group.suspended?t._e():r("b-button",{attrs:{type:"is-primary"},on:{click:t.confirmSuspendProfile}},[t._v(t._s(t.$t("Suspend")))]),t.group.suspended?r("b-button",{attrs:{type:"is-primary"},on:{click:t.unsuspendProfile}},[t._v(t._s(t.$t("Unsuspend")))]):t._e(),t.group.domain?r("b-button",{attrs:{type:"is-primary",outlined:""},on:{click:t.refreshProfile}},[t._v(t._s(t.$t("Refresh profile")))]):t._e()],1),r("section",[r("h2",{staticClass:"subtitle"},[t._v(" "+t._s(t.$tc("{number} members",t.group.members.total,{number:t.group.members.total}))+" ")]),r("b-table",{attrs:{data:t.group.members.elements,loading:t.$apollo.queries.group.loading,paginated:"","backend-pagination":"","current-page":t.membersPage,"aria-next-label":t.$t("Next page"),"aria-previous-label":t.$t("Previous page"),"aria-page-label":t.$t("Page"),"aria-current-label":t.$t("Current page"),total:t.group.members.total,"per-page":t.EVENTS_PER_PAGE},on:{"update:currentPage":function(e){t.membersPage=e},"update:current-page":function(e){t.membersPage=e},"page-change":t.onMembersPageChange}},[r("b-table-column",{attrs:{field:"actor.preferredUsername",label:t.$t("Member")},scopedSlots:t._u([{key:"default",fn:function(e){return[r("article",{staticClass:"media"},[e.row.actor.avatar?r("figure",{staticClass:"media-left image is-48x48"},[r("img",{staticClass:"is-rounded",attrs:{src:e.row.actor.avatar.url,alt:""}})]):r("b-icon",{staticClass:"media-left",attrs:{size:"is-large",icon:"account-circle"}}),r("div",{staticClass:"media-content"},[r("div",{staticClass:"content"},[e.row.actor.name?r("span",[t._v(t._s(e.row.actor.name))]):r("span",[t._v("@"+t._s(t.usernameWithDomain(e.row.actor)))]),r("br"),e.row.actor.name?r("span",{staticClass:"is-size-7 has-text-grey"},[t._v("@"+t._s(t.usernameWithDomain(e.row.actor)))]):t._e()])])],1)]}}],null,!1,3312748379)}),r("b-table-column",{attrs:{field:"role",label:t.$t("Role")},scopedSlots:t._u([{key:"default",fn:function(e){return[e.row.role===t.MemberRole.ADMINISTRATOR?r("b-tag",{attrs:{type:"is-primary"}},[t._v(" "+t._s(t.$t("Administrator"))+" ")]):e.row.role===t.MemberRole.MODERATOR?r("b-tag",{attrs:{type:"is-primary"}},[t._v(" "+t._s(t.$t("Moderator"))+" ")]):e.row.role===t.MemberRole.MEMBER?r("b-tag",[t._v(" "+t._s(t.$t("Member"))+" ")]):e.row.role===t.MemberRole.NOT_APPROVED?r("b-tag",{attrs:{type:"is-warning"}},[t._v(" "+t._s(t.$t("Not approved"))+" ")]):e.row.role===t.MemberRole.REJECTED?r("b-tag",{attrs:{type:"is-danger"}},[t._v(" "+t._s(t.$t("Rejected"))+" ")]):e.row.role===t.MemberRole.INVITED?r("b-tag",{attrs:{type:"is-danger"}},[t._v(" "+t._s(t.$t("Invited"))+" ")]):t._e()]}}],null,!1,15428849)}),r("b-table-column",{attrs:{field:"insertedAt",label:t.$t("Date")},scopedSlots:t._u([{key:"default",fn:function(e){return[r("span",{staticClass:"has-text-centered"},[t._v(" "+t._s(t._f("formatDateString")(e.row.insertedAt))),r("br"),t._v(t._s(t._f("formatTimeString")(e.row.insertedAt))+" ")])]}}],null,!1,1969472192)}),r("template",{slot:"empty"},[r("empty-content",{attrs:{icon:"account-group",inline:!0}},[t._v(" "+t._s(t.$t("No members found"))+" ")])],1)],2)],1),r("section",[r("h2",{staticClass:"subtitle"},[t._v(" "+t._s(t.$tc("{number} organized events",t.group.organizedEvents.total,{number:t.group.organizedEvents.total}))+" ")]),r("b-table",{attrs:{data:t.group.organizedEvents.elements,loading:t.$apollo.queries.group.loading,paginated:"","backend-pagination":"","current-page":t.organizedEventsPage,"aria-next-label":t.$t("Next page"),"aria-previous-label":t.$t("Previous page"),"aria-page-label":t.$t("Page"),"aria-current-label":t.$t("Current page"),total:t.group.organizedEvents.total,"per-page":t.EVENTS_PER_PAGE},on:{"update:currentPage":function(e){t.organizedEventsPage=e},"update:current-page":function(e){t.organizedEventsPage=e},"page-change":t.onOrganizedEventsPageChange}},[r("b-table-column",{attrs:{field:"title",label:t.$t("Title")},scopedSlots:t._u([{key:"default",fn:function(e){return[r("router-link",{attrs:{to:{name:t.RouteName.EVENT,params:{uuid:e.row.uuid}}}},[t._v(" "+t._s(e.row.title)+" "),e.row.draft?r("b-tag",{attrs:{type:"is-info"}},[t._v(t._s(t.$t("Draft")))]):t._e()],1)]}}],null,!1,1841594679)}),r("b-table-column",{attrs:{field:"beginsOn",label:t.$t("Begins on")},scopedSlots:t._u([{key:"default",fn:function(e){return[t._v(" "+t._s(t._f("formatDateTimeString")(e.row.beginsOn))+" ")]}}],null,!1,2847576678)}),r("template",{slot:"empty"},[r("empty-content",{attrs:{icon:"account-group",inline:!0}},[t._v(" "+t._s(t.$t("No organized events found"))+" ")])],1)],2)],1),r("section",[r("h2",{staticClass:"subtitle"},[t._v(" "+t._s(t.$tc("{number} posts",t.group.posts.total,{number:t.group.posts.total}))+" ")]),r("b-table",{attrs:{data:t.group.posts.elements,loading:t.$apollo.queries.group.loading,paginated:"","backend-pagination":"","current-page":t.postsPage,"aria-next-label":t.$t("Next page"),"aria-previous-label":t.$t("Previous page"),"aria-page-label":t.$t("Page"),"aria-current-label":t.$t("Current page"),total:t.group.posts.total,"per-page":t.POSTS_PER_PAGE},on:{"update:currentPage":function(e){t.postsPage=e},"update:current-page":function(e){t.postsPage=e},"page-change":t.onPostsPageChange}},[r("b-table-column",{attrs:{field:"title",label:t.$t("Title")},scopedSlots:t._u([{key:"default",fn:function(e){return[r("router-link",{attrs:{to:{name:t.RouteName.POST,params:{slug:e.row.slug}}}},[t._v(" "+t._s(e.row.title)+" "),e.row.draft?r("b-tag",{attrs:{type:"is-info"}},[t._v(t._s(t.$t("Draft")))]):t._e()],1)]}}],null,!1,94383363)}),r("b-table-column",{attrs:{field:"publishAt",label:t.$t("Publication date")},scopedSlots:t._u([{key:"default",fn:function(e){return[t._v(" "+t._s(t._f("formatDateTimeString")(e.row.publishAt))+" ")]}}],null,!1,461621823)}),r("template",{slot:"empty"},[r("empty-content",{attrs:{icon:"bullhorn",inline:!0}},[t._v(" "+t._s(t.$t("No posts found"))+" ")])],1)],2)],1)]):t._e()},i=[],s=r(23796),o=r(70655),n=r(23940),l=r(36458),u=r(34752),d=r(76829),p=r(2156),m=r(13596),g=r(75049),c=r(33343),$=r(58123),b=r(78345);const{isNavigationFailure:h,NavigationFailureType:v}=b.Z,y=10,f=10,P=10;let _=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"id",void 0),(0,s.Z)(this,"group",void 0),(0,s.Z)(this,"usernameWithDomain",m.U_),(0,s.Z)(this,"RouteName",g.Z),(0,s.Z)(this,"EVENTS_PER_PAGE",y),(0,s.Z)(this,"POSTS_PER_PAGE",f),(0,s.Z)(this,"MEMBERS_PER_PAGE",P),(0,s.Z)(this,"MemberRole",d.UB)}get organizedEventsPage(){return parseInt(this.$route.query.organizedEventsPage||"1",10)}set organizedEventsPage(t){this.pushRouter({organizedEventsPage:t.toString()})}get membersPage(){return parseInt(this.$route.query.membersPage||"1",10)}set membersPage(t){this.pushRouter({membersPage:t.toString()})}get postsPage(){return parseInt(this.$route.query.postsPage||"1",10)}set postsPage(t){this.pushRouter({postsPage:t.toString()})}get metadata(){if(!this.group)return[];const t=[{key:this.$t("Status"),value:this.group.suspended?this.$t("Suspended"):this.$t("Active")},{key:this.$t("Domain"),value:this.group.domain?this.group.domain:this.$t("Local")},{key:this.$i18n.t("Uploaded media size"),value:(0,u.td)(this.group.mediaSize)}];return t}confirmSuspendProfile(){const t=this.group.domain?this.$t("Are you sure you want to <b>suspend</b> this group? As this group originates from instance {instance}, this will only remove local members and delete the local data, as well as rejecting all the future data.",{instance:this.group.domain}):this.$t("Are you sure you want to <b>suspend</b> this group? All members - including remote ones - will be notified and removed from the group, and <b>all of the group data (events, posts, discussions, todos…) will be irretrievably destroyed</b>.");this.$buefy.dialog.confirm({title:this.$t("Suspend group"),message:t,confirmText:this.$t("Suspend group"),cancelText:this.$t("Cancel"),type:"is-danger",hasIcon:!0,onConfirm:()=>this.suspendProfile()})}async suspendProfile(){try{await this.$apollo.mutate({mutation:p.AH,variables:{id:this.id},update:(t,{data:e})=>{if(null==e)return;const r=this.id,a=t.readQuery({query:l.OW,variables:{id:r,organizedEventsPage:this.organizedEventsPage,organizedEventsLimit:y,postsPage:this.postsPage,postsLimit:f}});a&&t.writeQuery({query:l.OW,variables:{id:r},data:{getGroup:{...a.getGroup,suspended:!0,avatar:null,name:"",summary:""}}})}})}catch(t){console.error(t),this.$notifier.error(this.$t("Error while suspending group"))}}async unsuspendProfile(){try{const t=this.id;await this.$apollo.mutate({mutation:p.Nj,variables:{id:this.id},refetchQueries:[{query:l.OW,variables:{id:t}}]})}catch(t){console.error(t),this.$notifier.error(this.$t("Error while suspending group"))}}async refreshProfile(){try{this.$apollo.mutate({mutation:l.fc,variables:{actorId:this.id}}),this.$notifier.success(this.$t("Triggered profile refreshment"))}catch(t){console.error(t),this.$notifier.error(this.$t("Error while suspending group"))}}async onOrganizedEventsPageChange(t){this.organizedEventsPage=t,await this.$apollo.queries.group.fetchMore({variables:{actorId:this.id,organizedEventsPage:this.organizedEventsPage,organizedEventsLimit:y}})}async onMembersPageChange(t){this.membersPage=t,await this.$apollo.queries.group.fetchMore({variables:{actorId:this.id,memberPage:this.membersPage,memberLimit:y}})}async onPostsPageChange(t){this.postsPage=t,await this.$apollo.queries.group.fetchMore({variables:{actorId:this.id,postsPage:this.postsPage,postLimit:f}})}async pushRouter(t){try{await this.$router.push({name:g.Z.ADMIN_GROUP_PROFILE,query:{...this.$route.query,...t}})}catch(e){if(h(e,v.redirected))throw Error(e.toString())}}};(0,o.gn)([(0,n.fI)({required:!0})],_.prototype,"id",void 0),_=(0,o.gn)([(0,n.wA)({apollo:{group:{query:l.OW,fetchPolicy:"cache-and-network",variables(){return{id:this.id,organizedEventsPage:this.organizedEventsPage,organizedEventsLimit:y,postsPage:this.postsPage,postsLimit:f}},skip(){return!this.id},update:t=>t.getGroup}},components:{ActorCard:c.Z,EmptyContent:$["default"]},metaInfo(){const{group:t}=this;return{title:t?t.name||(0,m.U_)(t):""}}})],_);const I=_,A=I;var E=r(1001),D=(0,E.Z)(A,a,i,!1,null,"49f7624f",null);const S=D.exports}}]);
//# sourceMappingURL=AdminGroupProfile.c16a421d.js.map