"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[60690],{54565:(t,e,i)=>{i.d(e,{gx:()=>a,hC:()=>n,Zi:()=>d,pO:()=>u,tC:()=>l,ON:()=>m,_Y:()=>p});var r=i(26303),s=i(2156);const a=r.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${s.XE}
`,o=(r.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`,r.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${s.XE}
`),n=r.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${o}
`,d=r.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${o}
`,u=r.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${o}
  ${s.XE}
`,l=r.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${o}
`,m=r.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,p=r.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${s.XE}
`},36458:(t,e,i)=>{i.d(e,{jJ:()=>m,_h:()=>$,OW:()=>c,yz:()=>g,t3:()=>h,iP:()=>y,dm:()=>b,fc:()=>I,Ew:()=>A});var r=i(26303),s=i(54565),a=i(58802),o=i(13433),n=i(2156),d=i(25463),u=i(79515),l=i(16978);const m=r.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
`,p=r.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${n.XE}
  ${d.UY}
  ${l.D}
  ${u.i4}
`,$=r.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${p}
  ${s.gx}
  ${o.tC}
  ${a.Os}
`,c=r.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${p}
  ${s.gx}
  ${o.tC}
  ${a.Os}
`,g=r.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,h=r.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${n.XE}
`,y=r.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,b=r.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,I=r.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,A=r.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${n.XE}
`;r.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${n.XE}
  ${d.UY}
`},13433:(t,e,i)=>{i.d(e,{tC:()=>n,Gw:()=>d,QV:()=>u,Sx:()=>l,vG:()=>m,Xv:()=>p});var r=i(26303),s=i(2156),a=i(79515);const o=r.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${a.i4}
  ${s.XE}
`,n=r.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${s.XE}
  ${a.i4}
`,d=r.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${n}
`,u=r.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${o}
`,l=r.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,m=r.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${o}
`,p=r.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(t,e,i)=>{i.d(e,{Os:()=>a,ZX:()=>o,RP:()=>n,p3:()=>d,L2:()=>u,qC:()=>l});var r=i(26303),s=i(2156);const a=r.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,o=r.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${s.XE}
  ${a}
`,n=r.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${a}
`,d=r.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=r.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,l=r.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${a}
`},21571:(t,e,i)=>{i.r(e),i.d(e,{default:()=>b});var r=function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("section",{staticClass:"section container"},[i("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[t.group?i("ul",[i("li",[i("router-link",{attrs:{to:{name:t.RouteName.MY_GROUPS}}},[t._v(t._s(t.$t("My groups")))])],1),i("li",[i("router-link",{attrs:{to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.group.name))])],1),i("li",[i("router-link",{attrs:{to:{name:t.RouteName.DISCUSSION_LIST,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Discussions")))])],1),i("li",{staticClass:"is-active"},[i("router-link",{attrs:{to:{name:t.RouteName.CREATE_DISCUSSION,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Create")))])],1)]):t.$apollo.loading?i("b-skeleton",{attrs:{animated:t.animated}}):t._e()],1),i("h1",{staticClass:"title"},[t._v(t._s(t.$t("Create a discussion")))]),i("form",{on:{submit:function(e){return e.preventDefault(),t.createDiscussion.apply(null,arguments)}}},[i("b-field",{attrs:{label:t.$t("Title"),"label-for":"discussion-title",message:t.errors.title,type:t.errors.title?"is-danger":void 0}},[i("b-input",{attrs:{"aria-required":"true",required:"",id:"discussion-title"},model:{value:t.discussion.title,callback:function(e){t.$set(t.discussion,"title",e)},expression:"discussion.title"}})],1),i("b-field",{attrs:{label:t.$t("Text")}},[i("editor",{attrs:{"aria-label":t.$t("Comment body")},model:{value:t.discussion.text,callback:function(e){t.$set(t.discussion,"text",e)},expression:"discussion.text"}})],1),i("button",{staticClass:"button is-primary",attrs:{type:"submit"}},[t._v(" "+t._s(t.$t("Create the discussion"))+" ")])],1)])},s=[],a=i(23796),o=i(70655),n=i(23940),d=i(43637),u=i(2156),l=i(36458),m=i(54565),p=i(75049);let $=class extends n.w3{constructor(...t){super(...t),(0,a.Z)(this,"preferredUsername",void 0),(0,a.Z)(this,"group",void 0),(0,a.Z)(this,"currentActor",void 0),(0,a.Z)(this,"discussion",{title:"",text:""}),(0,a.Z)(this,"errors",{title:""}),(0,a.Z)(this,"RouteName",p.Z),(0,a.Z)(this,"usernameWithDomain",d.U_)}async createDiscussion(){this.errors={title:""};try{if(!this.group.id||!this.currentActor.id)return;const{data:t}=await this.$apollo.mutate({mutation:m.hC,variables:{title:this.discussion.title,text:this.discussion.text,actorId:parseInt(this.group.id,10)}});await this.$router.push({name:p.Z.DISCUSSION,params:{id:t.createDiscussion.id,slug:t.createDiscussion.slug}})}catch(t){console.error(t),t.graphQLErrors&&t.graphQLErrors.length>0&&("title"==t.graphQLErrors[0].field?this.errors.title=t.graphQLErrors[0].message:this.$notifier.error(t.graphQLErrors[0].message))}}};(0,o.gn)([(0,n.fI)({type:String,required:!0})],$.prototype,"preferredUsername",void 0),$=(0,o.gn)([(0,n.wA)({components:{editor:()=>Promise.all([i.e(78164),i.e(61189)]).then(i.bind(i,78164))},apollo:{currentActor:u.z_,group:{query:l._h,variables(){return{name:this.preferredUsername}},skip(){return!this.preferredUsername}}},metaInfo(){return{title:this.$t("Create a discussion")}}})],$);const c=$,g=c;var h=i(1001),y=(0,h.Z)(g,r,s,!1,null,"414ea487",null);const b=y.exports}}]);
//# sourceMappingURL=CreateDiscussion.009cb477.js.map