"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[67501],{54565:(e,t,r)=>{r.d(t,{gx:()=>s,hC:()=>o,Zi:()=>l,pO:()=>u,tC:()=>d,ON:()=>p,_Y:()=>m});var a=r(26303),i=r(2156);const s=a.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${i.XE}
`,n=(a.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`,a.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`),o=a.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${n}
`,l=a.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${n}
`,u=a.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${n}
  ${i.XE}
`,d=a.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${n}
`,p=a.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,m=a.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${i.XE}
`},36458:(e,t,r)=>{r.d(t,{jJ:()=>p,_h:()=>c,OW:()=>g,yz:()=>$,t3:()=>h,iP:()=>y,dm:()=>v,fc:()=>b,Ew:()=>f});var a=r(26303),i=r(54565),s=r(58802),n=r(13433),o=r(2156),l=r(25463),u=r(79515),d=r(16978);const p=a.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
`,m=a.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
  ${l.UY}
  ${d.D}
  ${u.i4}
`,c=a.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${m}
  ${i.gx}
  ${n.tC}
  ${s.Os}
`,g=a.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${m}
  ${i.gx}
  ${n.tC}
  ${s.Os}
`,$=a.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,h=a.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,y=a.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,v=a.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=a.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,f=a.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${o.XE}
`;a.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${o.XE}
  ${l.UY}
`},13433:(e,t,r)=>{r.d(t,{tC:()=>o,Gw:()=>l,QV:()=>u,Sx:()=>d,vG:()=>p,Xv:()=>m});var a=r(26303),i=r(2156),s=r(79515);const n=a.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${s.i4}
  ${i.XE}
`,o=a.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${i.XE}
  ${s.i4}
`,l=a.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${o}
`,u=a.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${n}
`,d=a.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,p=a.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,m=a.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(e,t,r)=>{r.d(t,{Os:()=>s,ZX:()=>n,RP:()=>o,p3:()=>l,L2:()=>u,qC:()=>d});var a=r(26303),i=r(2156);const s=a.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,n=a.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${i.XE}
  ${s}
`,o=a.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${s}
`,l=a.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,u=a.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,d=a.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${s}
`},78117:(e,t,r)=>{r.d(t,{Z:()=>u});var a,i=r(23796),s=r(70655),n=r(23940),o=r(43637);let l=a=class extends((0,n.Wr)(n.w3)){constructor(...e){super(...e),(0,i.Z)(this,"identity",new o.Fc),(0,i.Z)(this,"oldDisplayName",null)}autoUpdateUsername(e){const t=a.convertToUsername(this.oldDisplayName);this.identity.preferredUsername===t&&(this.identity.preferredUsername=a.convertToUsername(e)),this.oldDisplayName=e}static convertToUsername(e){return e?e.toLocaleLowerCase().normalize("NFD").replace(/[\u0300-\u036f]/g,"").replace(/\s{2,}/," ").replace(/ /g,"_").replace(/[^a-z0-9_]/g,"").replace(/_{2,}/,""):""}validateUsername(){return this.identity.preferredUsername===a.convertToUsername(this.identity.preferredUsername)}};l=a=(0,s.gn)([n.wA],l);const u=l},1700:(e,t,r)=>{r.d(t,{Z:()=>c});var a=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("div",{staticClass:"root"},[e.imageSrc&&!e.imagePreviewLoadingError?r("figure",{staticClass:"image"},[r("img",{attrs:{src:e.imageSrc},on:{error:e.showImageLoadingError}})]):r("figure",{staticClass:"image is-128x128"},[r("div",{staticClass:"image-placeholder",class:{error:e.imagePreviewLoadingError}},[e.imagePreviewLoadingError?r("span",{staticClass:"has-text-centered"},[e._v(e._s(e.$t("Error while loading the preview")))]):r("span",{staticClass:"has-text-centered"},[e._v(e._s(e.textFallback))])])]),r("div",{staticClass:"action-buttons"},[e.pictureFile?r("p",{staticClass:"metadata"},[r("span",{staticClass:"name",attrs:{title:e.pictureFile.name}},[e._v(e._s(e.pictureFile.name))]),r("span",{staticClass:"size"},[e._v("("+e._s(e.formatBytes(e.pictureFile.size))+")")])]):e._e(),e.pictureTooBig?r("p",{staticClass:"picture-too-big"},[e._v(" "+e._s(e.$t("The selected picture is too heavy. You need to select a file smaller than {size}.",{size:e.formatBytes(e.maxSize)}))+" ")]):e._e(),r("b-field",{staticClass:"file is-primary"},[r("b-upload",{staticClass:"file-label",attrs:{accept:e.accept},on:{input:e.onFileChanged}},[r("span",{staticClass:"file-cta"},[r("b-icon",{staticClass:"file-icon",attrs:{icon:"upload"}}),r("span",[e._v(e._s(e.$t("Click to upload")))])],1)])],1),e.imageSrc?r("b-button",{attrs:{type:"is-text"},on:{click:e.removeOrClearPicture,keyup:function(t){return!t.type.indexOf("key")&&e._k(t.keyCode,"enter",13,t.key,"Enter")?null:e.removeOrClearPicture.apply(null,arguments)}}},[e._v(" "+e._s(e.$t("Clear"))+" ")]):e._e()],1)])},i=[],s=r(23796),n=r(70655),o=r(23940);let l=class extends o.w3{constructor(...e){super(...e),(0,s.Z)(this,"pictureFile",void 0),(0,s.Z)(this,"defaultImage",void 0),(0,s.Z)(this,"accept",void 0),(0,s.Z)(this,"textFallback",void 0),(0,s.Z)(this,"maxSize",void 0),(0,s.Z)(this,"file",void 0),(0,s.Z)(this,"imagePreviewLoadingError",!1)}get pictureTooBig(){return this.pictureFile?.size>this.maxSize}get imageSrc(){if(void 0!==this.pictureFile){if(null===this.pictureFile)return null;try{return URL.createObjectURL(this.pictureFile)}catch(e){console.error(e)}}return this.defaultImage?.url}onFileChanged(e){this.$emit("change",e),this.file=e}async removeOrClearPicture(){this.onFileChanged(null)}resetImageLoadingError(){this.imagePreviewLoadingError=!1}showImageLoadingError(){this.imagePreviewLoadingError=!0}formatBytes(e,t){if(0==e)return"0 Bytes";const r=1024,a=t||2,i=["Bytes","KB","MB","GB","TB","PB","EB","ZB","YB"],s=Math.floor(Math.log(e)/Math.log(r));return parseFloat((e/Math.pow(r,s)).toFixed(a))+" "+i[s]}};(0,n.gn)([(0,o.Hn)("change",{type:File})],l.prototype,"pictureFile",void 0),(0,n.gn)([(0,o.fI)({type:Object,required:!1})],l.prototype,"defaultImage",void 0),(0,n.gn)([(0,o.fI)({type:String,required:!1,default:"image/gif,image/png,image/jpeg,image/webp"})],l.prototype,"accept",void 0),(0,n.gn)([(0,o.fI)({type:String,required:!1,default(){return this.$t("Avatar")}})],l.prototype,"textFallback",void 0),(0,n.gn)([(0,o.fI)({type:Number,required:!1,default:10485760})],l.prototype,"maxSize",void 0),(0,n.gn)([(0,o.RL)("imageSrc")],l.prototype,"resetImageLoadingError",null),l=(0,n.gn)([o.wA],l);const u=l,d=u;var p=r(1001),m=(0,p.Z)(d,a,i,!1,null,"94992402",null);const c=m.exports},73066:(e,t,r)=>{r.r(t),r.d(t,{default:()=>A});var a=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("section",{staticClass:"section container"},[r("h1",{staticClass:"title"},[e._v(e._s(e.$t("Create a new group")))]),e._l(e.errors,(function(t,a){return r("b-message",{key:a,attrs:{type:"is-danger"}},[e._v(" "+e._s(t)+" ")])})),r("form",{on:{submit:function(t){return t.preventDefault(),e.createGroup.apply(null,arguments)}}},[r("b-field",{attrs:{label:e.$t("Group display name"),"label-for":"group-display-name"}},[r("b-input",{attrs:{"aria-required":"true",required:"",id:"group-display-name"},model:{value:e.group.name,callback:function(t){e.$set(e.group,"name",t)},expression:"group.name"}})],1),r("div",{staticClass:"field"},[r("label",{staticClass:"label",attrs:{for:"group-preferred-username"}},[e._v(e._s(e.$t("Federated Group Name")))]),r("div",{staticClass:"field-body"},[r("b-field",{attrs:{message:e.$t("Only alphanumeric lowercased characters and underscores are supported.")}},[r("b-input",{ref:"preferredUsernameInput",attrs:{"aria-required":"true",required:"",expanded:"",pattern:"[a-z0-9_]+",id:"group-preferred-username",useHtml5Validation:!0,"validation-message":e.group.preferredUsername?e.$t("Only alphanumeric lowercased characters and underscores are supported."):null},model:{value:e.group.preferredUsername,callback:function(t){e.$set(e.group,"preferredUsername",t)},expression:"group.preferredUsername"}}),r("p",{staticClass:"control"},[r("span",{staticClass:"button is-static"},[e._v("@"+e._s(e.host))])])],1)],1),r("p",{domProps:{innerHTML:e._s(e.$t("This is like your federated username (<code>{username}</code>) for groups. It will allow the group to be found on the federation, and is guaranteed to be unique.",{username:e.usernameWithDomain(e.currentActor,!0)}))}})]),r("b-field",{attrs:{label:e.$t("Description"),"label-for":"group-summary"}},[r("b-input",{attrs:{type:"textarea",id:"group-summary"},model:{value:e.group.summary,callback:function(t){e.$set(e.group,"summary",t)},expression:"group.summary"}})],1),r("div",[r("b",[e._v(e._s(e.$t("Avatar")))]),r("picture-upload",{attrs:{textFallback:e.$t("Avatar"),maxSize:e.avatarMaxSize},model:{value:e.avatarFile,callback:function(t){e.avatarFile=t},expression:"avatarFile"}})],1),r("div",[r("b",[e._v(e._s(e.$t("Banner")))]),r("picture-upload",{attrs:{textFallback:e.$t("Banner"),maxSize:e.bannerMaxSize},model:{value:e.bannerFile,callback:function(t){e.bannerFile=t},expression:"bannerFile"}})],1),r("button",{staticClass:"button is-primary",attrs:{"native-type":"submit"}},[e._v(" "+e._s(e.$t("Create my group"))+" ")])],1)],2)},i=[],s=r(23796),n=r(70655),o=r(23940),l=r(43637),u=r(2156),d=r(36458),p=r(45904),m=r(78117),c=r(76829),g=r(75049);function $(e){return e?e.toLocaleLowerCase().normalize("NFD").replace(/[\u0300-\u036f]/g,"").replace(/\s{2,}/," ").replace(/ /g,"_").replace(/[^a-z0-9_]/g,"").replace(/_{2,}/,""):""}var h=r(1700),y=r(56756);let v=class extends((0,p.tA)(m.Z)){constructor(...e){super(...e),(0,s.Z)(this,"currentActor",void 0),(0,s.Z)(this,"group",new l.ZA),(0,s.Z)(this,"config",void 0),(0,s.Z)(this,"avatarFile",null),(0,s.Z)(this,"bannerFile",null),(0,s.Z)(this,"errors",[]),(0,s.Z)(this,"usernameWithDomain",l.U_)}async createGroup(){try{this.errors=[],await this.$apollo.mutate({mutation:d.yz,variables:this.buildVariables(),update:(e,{data:t})=>{const r={query:u.kB,variables:{id:this.currentActor.id}},a=e.readQuery(r);if(!a)return;const{person:i}=a;i.memberships.elements.push({parent:t?.createGroup,role:c.UB.ADMINISTRATOR,actor:this.currentActor,insertedAt:(new Date).toString(),updatedAt:(new Date).toString()}),e.writeQuery({...r,data:{person:i}})}}),await this.$router.push({name:g.Z.GROUP,params:{preferredUsername:(0,l.U_)(this.group)}}),this.$notifier.success(this.$t("Group {displayName} created",{displayName:this.group.displayName()}))}catch(e){this.handleError(e)}}get host(){return window.location.hostname}get avatarMaxSize(){return this?.config?.uploadLimits?.avatar}get bannerMaxSize(){return this?.config?.uploadLimits?.banner}updateUsername(e){this.group.preferredUsername=$(e)}buildVariables(){let e={},t={};return this.avatarFile&&(e={avatar:{media:{name:this.avatarFile.name,alt:`${this.group.preferredUsername}'s avatar`,file:this.avatarFile}}}),this.bannerFile&&(t={banner:{media:{name:this.bannerFile.name,alt:`${this.group.preferredUsername}'s banner`,file:this.bannerFile}}}),{...this.group,...e,...t}}handleError(e){if("ServerParseError"===e?.networkError?.name){const t=e?.networkError;413===t?.response?.status&&this.errors.push(this.$t("Unable to create the group. One of the pictures may be too heavy."))}this.errors.push(...(e.graphQLErrors||[]).map((({message:e})=>e)))}};(0,n.gn)([(0,o.RL)("group.name")],v.prototype,"updateUsername",null),v=(0,n.gn)([(0,o.wA)({components:{PictureUpload:h.Z},apollo:{currentActor:{query:u.z_},config:y.kh},metaInfo(){return{title:this.$t("Create a new group")}}})],v);const b=v,f=b;var F=r(1001),I=(0,F.Z)(f,a,i,!1,null,null,null);const A=I.exports}}]);
//# sourceMappingURL=CreateGroup.8c652cec.js.map