"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[9446],{54565:(e,t,r)=>{r.d(t,{gx:()=>n,hC:()=>o,Zi:()=>u,pO:()=>d,tC:()=>l,ON:()=>m,_Y:()=>c});var a=r(26303),i=r(2156);const n=a.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${i.XE}
`,s=(a.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`,a.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${i.XE}
`),o=a.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${s}
`,u=a.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${s}
`,d=a.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${s}
  ${i.XE}
`,l=a.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${s}
`,m=a.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,c=a.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${i.XE}
`},36458:(e,t,r)=>{r.d(t,{jJ:()=>m,_h:()=>p,OW:()=>g,yz:()=>h,t3:()=>$,iP:()=>f,dm:()=>y,fc:()=>b,Ew:()=>v});var a=r(26303),i=r(54565),n=r(58802),s=r(13433),o=r(2156),u=r(25463),d=r(79515),l=r(16978);const m=a.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
`,c=a.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
  ${u.UY}
  ${l.D}
  ${d.i4}
`,p=a.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${c}
  ${i.gx}
  ${s.tC}
  ${n.Os}
`,g=a.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${c}
  ${i.gx}
  ${s.tC}
  ${n.Os}
`,h=a.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,$=a.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,f=a.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,y=a.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,b=a.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,v=a.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${o.XE}
`;a.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${o.XE}
  ${u.UY}
`},13433:(e,t,r)=>{r.d(t,{tC:()=>o,Gw:()=>u,QV:()=>d,Sx:()=>l,vG:()=>m,Xv:()=>c});var a=r(26303),i=r(2156),n=r(79515);const s=a.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${n.i4}
  ${i.XE}
`,o=a.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${i.XE}
  ${n.i4}
`,u=a.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${o}
`,d=a.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${s}
`,l=a.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${s}
`,m=a.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${s}
`,c=a.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(e,t,r)=>{r.d(t,{Os:()=>n,ZX:()=>s,RP:()=>o,p3:()=>u,L2:()=>d,qC:()=>l});var a=r(26303),i=r(2156);const n=a.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,s=a.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${i.XE}
  ${n}
`,o=a.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${n}
`,u=a.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,d=a.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,l=a.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${n}
`},12919:(e,t,r)=>{r.r(t),r.d(t,{default:()=>w});var a=function(){var e=this,t=e.$createElement,r=e._self._c||t;return e.group?r("div",{staticClass:"container section"},[r("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[r("ul",[r("li",[r("router-link",{attrs:{to:{name:e.RouteName.MY_GROUPS}}},[e._v(e._s(e.$t("My groups")))])],1),r("li",[r("router-link",{attrs:{to:{name:e.RouteName.GROUP,params:{preferredUsername:e.usernameWithDomain(e.group)}}}},[e._v(e._s(e.group.name))])],1),r("li",{staticClass:"is-active"},[r("router-link",{attrs:{to:{name:e.RouteName.DISCUSSION_LIST,params:{preferredUsername:e.usernameWithDomain(e.group)}}}},[e._v(e._s(e.$t("Discussions")))])],1)])]),e.isCurrentActorAGroupMember?r("section",[r("p",[e._v(" "+e._s(e.$t("Keep the entire conversation about a specific topic together on a single page."))+" ")]),r("b-button",{attrs:{tag:"router-link",to:{name:e.RouteName.CREATE_DISCUSSION,params:{preferredUsername:e.preferredUsername}}}},[e._v(e._s(e.$t("New discussion")))]),e.group.discussions.elements.length>0?r("div",[e._l(e.group.discussions.elements,(function(e){return r("discussion-list-item",{key:e.id,attrs:{discussion:e}})})),r("b-pagination",{staticClass:"discussion-pagination",attrs:{total:e.group.discussions.total,"per-page":e.DISCUSSIONS_PER_PAGE,"aria-next-label":e.$t("Next page"),"aria-previous-label":e.$t("Previous page"),"aria-page-label":e.$t("Page"),"aria-current-label":e.$t("Current page")},model:{value:e.page,callback:function(t){e.page=t},expression:"page"}})],2):r("empty-content",{attrs:{icon:"chat"}},[e._v(" "+e._s(e.$t("There's no discussions yet"))+" ")])],1):e.$apollo.loading?e._e():r("section",{staticClass:"section"},[r("empty-content",{attrs:{icon:"chat"},scopedSlots:e._u([{key:"desc",fn:function(){return[r("router-link",{attrs:{to:{name:e.RouteName.GROUP,params:{preferredUsername:e.preferredUsername}}}},[e._v(" "+e._s(e.$t("Return to the group page"))+" ")])]},proxy:!0}],null,!1,517675801)},[e._v(" "+e._s(e.$t("Only group members can access discussions"))+" ")])],1)]):e._e()},i=[],n=r(23796),s=r(70655),o=r(23940),u=r(36458),d=r(43637),l=r(44948),m=r(75049),c=r(76829),p=r(2156),g=r(58123),h=r(78345);const{isNavigationFailure:$,NavigationFailureType:f}=h.Z,y=10;let b=class extends o.w3{constructor(...e){super(...e),(0,n.Z)(this,"preferredUsername",void 0),(0,n.Z)(this,"person",void 0),(0,n.Z)(this,"group",void 0),(0,n.Z)(this,"currentActor",void 0),(0,n.Z)(this,"RouteName",m.Z),(0,n.Z)(this,"usernameWithDomain",d.U_),(0,n.Z)(this,"DISCUSSIONS_PER_PAGE",y)}get page(){return parseInt(this.$route.query.page||"1",10)}set page(e){this.pushRouter(m.Z.DISCUSSION_LIST,{page:e.toString()})}get groupMemberships(){return this.person&&this.person.id?this.person.memberships.elements.filter((e=>![c.UB.REJECTED,c.UB.NOT_APPROVED,c.UB.INVITED].includes(e.role))).map((({parent:{id:e}})=>e)):[]}get isCurrentActorAGroupMember(){return void 0!==this.groupMemberships&&this.groupMemberships.includes(this.group.id)}async pushRouter(e,t){try{await this.$router.push({name:e,query:{...this.$route.query,...t}})}catch(r){if($(r,f.redirected))throw Error(r.toString())}}};(0,s.gn)([(0,o.fI)({type:String,required:!0})],b.prototype,"preferredUsername",void 0),b=(0,s.gn)([(0,o.wA)({components:{DiscussionListItem:l.Z,EmptyContent:g["default"]},apollo:{group:{query:u._h,fetchPolicy:"cache-and-network",variables(){return{name:this.preferredUsername,discussionsPage:this.page,discussionsLimit:y}},skip(){return!this.preferredUsername}},person:{query:p.lh,fetchPolicy:"cache-and-network",variables(){return{id:this.currentActor.id,group:this.preferredUsername}},subscribeToMore:{document:p.NE,variables(){return{actorId:this.currentActor.id,group:this.preferredUsername}},skip(){return!this.currentActor||!this.currentActor.id||!this.preferredUsername}},skip(){return!this.currentActor||!this.currentActor.id||!this.preferredUsername}},currentActor:p.z_},metaInfo(){return{title:this.$t("Discussions")}}})],b);const v=b,P=v;var A=r(1001),I=(0,A.Z)(P,a,i,!1,null,null,null);const w=I.exports},92094:(e,t,r)=>{function a(e,t){if(null==e)throw new TypeError("assign requires that input parameter not be null or undefined");for(var r in t=t||{},t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r]);return e}function i(e){return a({},e)}r.d(t,{Z:()=>i})},24262:(e,t,r)=>{function a(e){var t=new Date(Date.UTC(e.getFullYear(),e.getMonth(),e.getDate(),e.getHours(),e.getMinutes(),e.getSeconds(),e.getMilliseconds()));return t.setUTCFullYear(e.getFullYear()),e.getTime()-t.getTime()}r.d(t,{Z:()=>a})},13882:(e,t,r)=>{function a(e,t){if(t.length<e)throw new TypeError(e+" argument"+(e>1?"s":"")+" required, but only "+t.length+" present")}r.d(t,{Z:()=>a})},49474:(e,t,r)=>{r.d(t,{Z:()=>n});var a=r(19013),i=r(13882);function n(e,t){(0,i.Z)(2,arguments);var r=(0,a.Z)(e),n=(0,a.Z)(t),s=r.getTime()-n.getTime();return s<0?-1:s>0?1:s}},35077:(e,t,r)=>{r.d(t,{Z:()=>X});var a={lessThanXSeconds:{one:"less than a second",other:"less than {{count}} seconds"},xSeconds:{one:"1 second",other:"{{count}} seconds"},halfAMinute:"half a minute",lessThanXMinutes:{one:"less than a minute",other:"less than {{count}} minutes"},xMinutes:{one:"1 minute",other:"{{count}} minutes"},aboutXHours:{one:"about 1 hour",other:"about {{count}} hours"},xHours:{one:"1 hour",other:"{{count}} hours"},xDays:{one:"1 day",other:"{{count}} days"},aboutXWeeks:{one:"about 1 week",other:"about {{count}} weeks"},xWeeks:{one:"1 week",other:"{{count}} weeks"},aboutXMonths:{one:"about 1 month",other:"about {{count}} months"},xMonths:{one:"1 month",other:"{{count}} months"},aboutXYears:{one:"about 1 year",other:"about {{count}} years"},xYears:{one:"1 year",other:"{{count}} years"},overXYears:{one:"over 1 year",other:"over {{count}} years"},almostXYears:{one:"almost 1 year",other:"almost {{count}} years"}},i=function(e,t,r){var i,n=a[e];return i="string"===typeof n?n:1===t?n.one:n.other.replace("{{count}}",t.toString()),null!==r&&void 0!==r&&r.addSuffix?r.comparison&&r.comparison>0?"in "+i:i+" ago":i};const n=i;function s(e){return function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=t.width?String(t.width):e.defaultWidth,a=e.formats[r]||e.formats[e.defaultWidth];return a}}var o={full:"EEEE, MMMM do, y",long:"MMMM do, y",medium:"MMM d, y",short:"MM/dd/yyyy"},u={full:"h:mm:ss a zzzz",long:"h:mm:ss a z",medium:"h:mm:ss a",short:"h:mm a"},d={full:"{{date}} 'at' {{time}}",long:"{{date}} 'at' {{time}}",medium:"{{date}}, {{time}}",short:"{{date}}, {{time}}"},l={date:s({formats:o,defaultWidth:"full"}),time:s({formats:u,defaultWidth:"full"}),dateTime:s({formats:d,defaultWidth:"full"})};const m=l;var c={lastWeek:"'last' eeee 'at' p",yesterday:"'yesterday at' p",today:"'today at' p",tomorrow:"'tomorrow at' p",nextWeek:"eeee 'at' p",other:"P"},p=function(e,t,r,a){return c[e]};const g=p;function h(e){return function(t,r){var a,i=r||{},n=i.context?String(i.context):"standalone";if("formatting"===n&&e.formattingValues){var s=e.defaultFormattingWidth||e.defaultWidth,o=i.width?String(i.width):s;a=e.formattingValues[o]||e.formattingValues[s]}else{var u=e.defaultWidth,d=i.width?String(i.width):e.defaultWidth;a=e.values[d]||e.values[u]}var l=e.argumentCallback?e.argumentCallback(t):t;return a[l]}}var $={narrow:["B","A"],abbreviated:["BC","AD"],wide:["Before Christ","Anno Domini"]},f={narrow:["1","2","3","4"],abbreviated:["Q1","Q2","Q3","Q4"],wide:["1st quarter","2nd quarter","3rd quarter","4th quarter"]},y={narrow:["J","F","M","A","M","J","J","A","S","O","N","D"],abbreviated:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],wide:["January","February","March","April","May","June","July","August","September","October","November","December"]},b={narrow:["S","M","T","W","T","F","S"],short:["Su","Mo","Tu","We","Th","Fr","Sa"],abbreviated:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],wide:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"]},v={narrow:{am:"a",pm:"p",midnight:"mi",noon:"n",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"},abbreviated:{am:"AM",pm:"PM",midnight:"midnight",noon:"noon",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"},wide:{am:"a.m.",pm:"p.m.",midnight:"midnight",noon:"noon",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"}},P={narrow:{am:"a",pm:"p",midnight:"mi",noon:"n",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"},abbreviated:{am:"AM",pm:"PM",midnight:"midnight",noon:"noon",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"},wide:{am:"a.m.",pm:"p.m.",midnight:"midnight",noon:"noon",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"}},A=function(e,t){var r=Number(e),a=r%100;if(a>20||a<10)switch(a%10){case 1:return r+"st";case 2:return r+"nd";case 3:return r+"rd"}return r+"th"},I={ordinalNumber:A,era:h({values:$,defaultWidth:"wide"}),quarter:h({values:f,defaultWidth:"wide",argumentCallback:function(e){return e-1}}),month:h({values:y,defaultWidth:"wide"}),day:h({values:b,defaultWidth:"wide"}),dayPeriod:h({values:v,defaultWidth:"wide",formattingValues:P,defaultFormattingWidth:"wide"})};const w=I;function S(e){return function(t){var r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},a=r.width,i=a&&e.matchPatterns[a]||e.matchPatterns[e.defaultMatchWidth],n=t.match(i);if(!n)return null;var s,o=n[0],u=a&&e.parsePatterns[a]||e.parsePatterns[e.defaultParseWidth],d=Array.isArray(u)?F(u,(function(e){return e.test(o)})):D(u,(function(e){return e.test(o)}));s=e.valueCallback?e.valueCallback(d):d,s=r.valueCallback?r.valueCallback(s):s;var l=t.slice(o.length);return{value:s,rest:l}}}function D(e,t){for(var r in e)if(e.hasOwnProperty(r)&&t(e[r]))return r}function F(e,t){for(var r=0;r<e.length;r++)if(t(e[r]))return r}function U(e){return function(t){var r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},a=t.match(e.matchPattern);if(!a)return null;var i=a[0],n=t.match(e.parsePattern);if(!n)return null;var s=e.valueCallback?e.valueCallback(n[0]):n[0];s=r.valueCallback?r.valueCallback(s):s;var o=t.slice(i.length);return{value:s,rest:o}}}var M=/^(\d+)(th|st|nd|rd)?/i,Z=/\d+/i,T={narrow:/^(b|a)/i,abbreviated:/^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,wide:/^(before christ|before common era|anno domini|common era)/i},C={any:[/^b/i,/^(a|c)/i]},E={narrow:/^[1234]/i,abbreviated:/^q[1234]/i,wide:/^[1234](th|st|nd|rd)? quarter/i},k={any:[/1/i,/2/i,/3/i,/4/i]},W={narrow:/^[jfmasond]/i,abbreviated:/^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,wide:/^(january|february|march|april|may|june|july|august|september|october|november|december)/i},R={narrow:[/^j/i,/^f/i,/^m/i,/^a/i,/^m/i,/^j/i,/^j/i,/^a/i,/^s/i,/^o/i,/^n/i,/^d/i],any:[/^ja/i,/^f/i,/^mar/i,/^ap/i,/^may/i,/^jun/i,/^jul/i,/^au/i,/^s/i,/^o/i,/^n/i,/^d/i]},_={narrow:/^[smtwf]/i,short:/^(su|mo|tu|we|th|fr|sa)/i,abbreviated:/^(sun|mon|tue|wed|thu|fri|sat)/i,wide:/^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i},N={narrow:[/^s/i,/^m/i,/^t/i,/^w/i,/^t/i,/^f/i,/^s/i],any:[/^su/i,/^m/i,/^tu/i,/^w/i,/^th/i,/^f/i,/^sa/i]},x={narrow:/^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,any:/^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i},G={any:{am:/^a/i,pm:/^p/i,midnight:/^mi/i,noon:/^no/i,morning:/morning/i,afternoon:/afternoon/i,evening:/evening/i,night:/night/i}},O={ordinalNumber:U({matchPattern:M,parsePattern:Z,valueCallback:function(e){return parseInt(e,10)}}),era:S({matchPatterns:T,defaultMatchWidth:"wide",parsePatterns:C,defaultParseWidth:"any"}),quarter:S({matchPatterns:E,defaultMatchWidth:"wide",parsePatterns:k,defaultParseWidth:"any",valueCallback:function(e){return e+1}}),month:S({matchPatterns:W,defaultMatchWidth:"wide",parsePatterns:R,defaultParseWidth:"any"}),day:S({matchPatterns:_,defaultMatchWidth:"wide",parsePatterns:N,defaultParseWidth:"any"}),dayPeriod:S({matchPatterns:x,defaultMatchWidth:"any",parsePatterns:G,defaultParseWidth:"any"})};const q=O;var j={code:"en-US",formatDistance:n,formatLong:m,formatRelative:g,localize:w,match:q,options:{weekStartsOn:0,firstWeekContainsDate:1}};const X=j},19013:(e,t,r)=>{r.d(t,{Z:()=>i});var a=r(13882);function i(e){(0,a.Z)(1,arguments);var t=Object.prototype.toString.call(e);return e instanceof Date||"object"===typeof e&&"[object Date]"===t?new Date(e.getTime()):"number"===typeof e||"[object Number]"===t?new Date(e):("string"!==typeof e&&"[object String]"!==t||"undefined"===typeof console||(console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://git.io/fjule"),console.warn((new Error).stack)),new Date(NaN))}}}]);
//# sourceMappingURL=DiscussionsList.552d7d5c.js.map