"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[51887],{64578:(t,e,r)=>{r.d(e,{bi:()=>s,h9:()=>a,GP:()=>n,eh:()=>l,VI:()=>u});var o=r(26303),i=r(2156);const s=o.ZP`
  query (
    $name: String!
    $followersPage: Int
    $followersLimit: Int
    $approved: Boolean
  ) {
    group(preferredUsername: $name) {
      ...ActorFragment
      followers(
        page: $followersPage
        limit: $followersLimit
        approved: $approved
      ) {
        total
        elements {
          id
          actor {
            ...ActorFragment
          }
          approved
          insertedAt
          updatedAt
        }
      }
    }
  }
  ${i.XE}
`,a=o.ZP`
  mutation UpdateFollower($id: ID!, $approved: Boolean) {
    updateFollower(id: $id, approved: $approved) {
      id
      approved
    }
  }
`,n=o.ZP`
  mutation FollowGroup($groupId: ID!, $notify: Boolean) {
    followGroup(groupId: $groupId, notify: $notify) {
      id
    }
  }
`,l=o.ZP`
  mutation UnfollowGroup($groupId: ID!) {
    unfollowGroup(groupId: $groupId) {
      id
    }
  }
`,u=o.ZP`
  mutation UpdateGroupFollow($followId: ID!, $notify: Boolean) {
    updateGroupFollow(followId: $followId, notify: $notify) {
      id
      notify
    }
  }
`},32542:(t,e,r)=>{r.d(e,{vB:()=>a,g0:()=>n,BJ:()=>l,Eo:()=>u,rn:()=>c,HK:()=>p,Tg:()=>d,KX:()=>m});var o=r(26303),i=r(2156);const s=o.ZP`
  fragment MemberFragment on Member {
    id
    role
    parent {
      ...ActorFragment
    }
    actor {
      ...ActorFragment
    }
    insertedAt
  }
  ${i.XE}
`,a=o.ZP`
  mutation InviteMember($groupId: ID!, $targetActorUsername: String!) {
    inviteMember(groupId: $groupId, targetActorUsername: $targetActorUsername) {
      ...MemberFragment
    }
  }
  ${s}
`,n=o.ZP`
  mutation AcceptInvitation($id: ID!) {
    acceptInvitation(id: $id) {
      ...MemberFragment
    }
  }
  ${s}
`,l=o.ZP`
  mutation RejectInvitation($id: ID!) {
    rejectInvitation(id: $id) {
      ...MemberFragment
    }
  }
  ${s}
`,u=o.ZP`
  query ($name: String!, $roles: String, $page: Int, $limit: Int) {
    group(preferredUsername: $name) {
      ...ActorFragment
      members(page: $page, limit: $limit, roles: $roles) {
        elements {
          id
          role
          actor {
            ...ActorFragment
          }
          insertedAt
        }
        total
      }
    }
  }
  ${i.XE}
`,c=o.ZP`
  mutation UpdateMember($memberId: ID!, $role: MemberRoleEnum!) {
    updateMember(memberId: $memberId, role: $role) {
      id
      role
    }
  }
`,p=o.ZP`
  mutation RemoveMember($memberId: ID!, $exclude: Boolean) {
    removeMember(memberId: $memberId, exclude: $exclude) {
      id
    }
  }
`,d=o.ZP`
  mutation ApproveMember($memberId: ID!) {
    approveMember(memberId: $memberId) {
      ...MemberFragment
    }
  }
  ${s}
`,m=o.ZP`
  mutation JoinGroup($groupId: ID!) {
    joinGroup(groupId: $groupId) {
      ...MemberFragment
    }
  }
  ${s}
`},60757:(t,e,r)=>{r.d(e,{xI:()=>s,X3:()=>n,Zv:()=>l,x2:()=>u,b1:()=>c,SP:()=>p});var o=r(26303),i=r(2156);const s=o.ZP`
  query Reports($status: ReportStatus, $page: Int, $limit: Int) {
    reports(status: $status, page: $page, limit: $limit) {
      total
      elements {
        id
        reported {
          ...ActorFragment
        }
        reporter {
          ...ActorFragment
        }
        event {
          id
          uuid
          title
          picture {
            id
            url
          }
        }
        status
        content
      }
    }
  }
  ${i.XE}
`,a=o.ZP`
  fragment ReportFragment on Report {
    id
    reported {
      ...ActorFragment
    }
    reporter {
      ...ActorFragment
    }
    event {
      id
      uuid
      title
      description
      picture {
        id
        url
      }
    }
    comments {
      id
      text
      actor {
        ...ActorFragment
      }
    }
    notes {
      id
      content
      moderator {
        ...ActorFragment
      }
      insertedAt
    }
    insertedAt
    updatedAt
    status
    content
  }
  ${i.XE}
`,n=o.ZP`
  query Report($id: ID!) {
    report(id: $id) {
      ...ReportFragment
    }
  }
  ${a}
`,l=o.ZP`
  mutation CreateReport(
    $eventId: ID
    $reportedId: ID!
    $content: String
    $commentsIds: [ID]
    $forward: Boolean
  ) {
    createReport(
      eventId: $eventId
      reportedId: $reportedId
      content: $content
      commentsIds: $commentsIds
      forward: $forward
    ) {
      id
    }
  }
`,u=o.ZP`
  mutation UpdateReport($reportId: ID!, $status: ReportStatus!) {
    updateReportStatus(reportId: $reportId, status: $status) {
      ...ReportFragment
    }
  }
  ${a}
`,c=o.ZP`
  mutation CreateReportNote($reportId: ID!, $content: String!) {
    createReportNote(reportId: $reportId, content: $content) {
      id
      content
      insertedAt
    }
  }
`,p=o.ZP`
  query ActionLogs($page: Int, $limit: Int) {
    actionLogs(page: $page, limit: $limit) {
      elements {
        id
        action
        actor {
          ...ActorFragment
        }
        object {
          ... on Report {
            id
          }
          ... on ReportNote {
            report {
              id
            }
          }
          ... on Event {
            id
            title
          }
          ... on Comment {
            id
            text
            event {
              id
              title
              uuid
            }
            actor {
              ...ActorFragment
            }
          }
          ... on Person {
            ...ActorFragment
          }
          ... on Group {
            ...ActorFragment
          }
          ... on User {
            id
            email
            confirmedAt
          }
        }
        insertedAt
      }
      total
    }
  }
  ${i.XE}
`},61360:(t,e,r)=>{r.d(e,{Vg:()=>s,qI:()=>a,VL:()=>n,IH:()=>l,Iu:()=>u});var o=r(26303),i=r(2156);const s=o.ZP`
  query GetTodo($id: ID!) {
    todo(id: $id) {
      id
      title
      status
      dueDate
      todoList {
        actor {
          ...ActorFragment
        }
        title
        id
      }
      assignedTo {
        ...ActorFragment
      }
    }
  }
  ${i.XE}
`,a=o.ZP`
  query FetchTodoList($id: ID!) {
    todoList(id: $id) {
      id
      title
      todos {
        total
        elements {
          id
          title
          status
          assignedTo {
            ...ActorFragment
          }
          dueDate
        }
      }
      actor {
        ...ActorFragment
      }
    }
  }
  ${i.XE}
`,n=o.ZP`
  mutation CreateTodoList($title: String!, $groupId: ID!) {
    createTodoList(title: $title, groupId: $groupId) {
      id
      title
      todos {
        total
        elements {
          id
        }
      }
    }
  }
`,l=o.ZP`
  mutation createTodo(
    $title: String!
    $todoListId: ID!
    $status: Boolean
    $assignedToId: ID
    $dueDate: DateTime
  ) {
    createTodo(
      title: $title
      todoListId: $todoListId
      status: $status
      assignedToId: $assignedToId
      dueDate: $dueDate
    ) {
      id
      title
      status
      assignedTo {
        id
      }
      creator {
        id
      }
      dueDate
    }
  }
`,u=o.ZP`
  mutation updateTodo(
    $id: ID!
    $title: String
    $status: Boolean
    $assignedToId: ID
    $dueDate: DateTime
  ) {
    updateTodo(
      id: $id
      title: $title
      status: $status
      assignedToId: $assignedToId
      dueDate: $dueDate
    ) {
      id
      title
      status
      assignedTo {
        id
      }
      creator {
        id
      }
      dueDate
    }
  }
`},92832:(t,e,r)=>{r.d(e,{Z:()=>m});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",[r("h2",[t._v(t._s(t.title))]),r("div",{staticClass:"eventMetadataBlock"},[t.icon&&"mz:icon"===t.icon.substring(0,7)?r("span",{staticClass:"icon is-medium"},[r("img",{attrs:{src:"/img/"+t.icon.substring(8)+"_monochrome.svg",width:"32",height:"32"}})]):t.icon?r("b-icon",{attrs:{icon:t.icon,size:"is-medium"}}):t._e(),r("div",{staticClass:"content-wrapper",class:{"padding-left":t.icon}},[t._t("default")],2)],1)])},i=[],s=r(23796),a=r(70655),n=r(23940);let l=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"icon",void 0),(0,s.Z)(this,"title",void 0)}};(0,a.gn)([(0,n.fI)({required:!1,type:String})],l.prototype,"icon",void 0),(0,a.gn)([(0,n.fI)({required:!0,type:String})],l.prototype,"title",void 0),l=(0,a.gn)([n.wA],l);const u=l,c=u;var p=r(1001),d=(0,p.Z)(c,o,i,!1,null,"79ba12ec",null);const m=d.exports},82626:(t,e,r)=>{r.d(e,{Z:()=>_});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("router-link",{staticClass:"event-minimalist-card-wrapper",attrs:{dir:"auto",to:{name:t.RouteName.EVENT,params:{uuid:t.event.uuid}}}},[r("div",{staticClass:"event-preview mr-0 ml-0"},[r("div",[r("div",{staticClass:"date-component"},[r("date-calendar-icon",{attrs:{date:t.event.beginsOn,small:!0}})],1),r("lazy-image-wrapper",{staticStyle:{height:"100%",position:"absolute",top:"0",left:"0",width:"100%"},attrs:{picture:t.event.picture,rounded:!0}})],1)]),r("div",{staticClass:"title-info-wrapper has-text-grey-dark"},[r("h3",{staticClass:"event-minimalist-title",attrs:{lang:t.event.language,dir:"auto"}},[t.event.draft?r("b-tag",{staticClass:"mr-2",attrs:{type:"is-warning",size:"is-medium"}},[t._v(t._s(t.$t("Draft")))]):t._e(),t._v(" "+t._s(t.event.title)+" ")],1),t.event.physicalAddress?r("inline-address",{staticClass:"event-subtitle",attrs:{"physical-address":t.event.physicalAddress}}):t.event.options&&t.event.options.isOnline?r("div",{staticClass:"event-subtitle"},[r("b-icon",{attrs:{icon:"video"}}),r("span",[t._v(t._s(t.$t("Online")))])],1):t._e(),t.showOrganizer?r("div",{staticClass:"event-subtitle event-organizer"},[t.organizer(t.event)&&t.organizer(t.event).avatar?r("figure",{staticClass:"image is-24x24"},[r("img",{staticClass:"is-rounded",attrs:{src:t.organizer(t.event).avatar.url,alt:""}})]):r("b-icon",{attrs:{icon:"account-circle"}}),r("span",{staticClass:"organizer-name"},[t._v(" "+t._s(t.organizerDisplayName(t.event))+" ")])],1):t._e(),r("p",{staticClass:"participant-metadata"},[r("b-icon",{attrs:{icon:"account-multiple"}}),0!==t.event.options.maximumAttendeeCapacity?r("span",[t._v(" "+t._s(t.$tc("{available}/{capacity} available places",t.event.options.maximumAttendeeCapacity-t.event.participantStats.participant,{available:t.event.options.maximumAttendeeCapacity-t.event.participantStats.participant,capacity:t.event.options.maximumAttendeeCapacity}))+" ")]):r("span",[t._v(" "+t._s(t.$tc("{count} participants",t.event.participantStats.participant,{count:t.event.participantStats.participant}))+" ")]),t.event.participantStats.notApproved>0?r("span",[r("b-button",{attrs:{type:"is-text"},on:{click:function(e){return t.gotToWithCheck(t.participation,{name:t.RouteName.PARTICIPATIONS,query:{role:t.ParticipantRole.NOT_APPROVED},params:{eventId:t.event.uuid}})}}},[t._v(" "+t._s(t.$tc("{count} requests waiting",t.event.participantStats.notApproved,{count:t.event.participantStats.notApproved}))+" ")])],1):t._e()],1)],1)])},i=[],s=r(23796),a=r(70655),n=r(23940),l=r(3011),u=r(74519),c=r(76829),p=r(75049),d=r(38446),m=r(68602);let g=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"event",void 0),(0,s.Z)(this,"showOrganizer",void 0),(0,s.Z)(this,"RouteName",p.Z),(0,s.Z)(this,"ParticipantRole",c._b),(0,s.Z)(this,"organizerDisplayName",l.gV),(0,s.Z)(this,"organizer",l.Sw)}};(0,a.gn)([(0,n.fI)({required:!0,type:Object})],g.prototype,"event",void 0),(0,a.gn)([(0,n.fI)({required:!1,type:Boolean,default:!1})],g.prototype,"showOrganizer",void 0),g=(0,a.gn)([(0,n.wA)({components:{DateCalendarIcon:u.Z,LazyImageWrapper:d.Z,InlineAddress:m.Z}})],g);const v=g,h=v;var f=r(1001),b=(0,f.Z)(h,o,i,!1,null,"41b39fa6",null);const _=b.exports},12307:(t,e,r)=>{r.d(e,{Z:()=>w});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return t.invitations&&t.invitations.length>0?r("section",{staticClass:"card my-3"},t._l(t.invitations,(function(e){return r("InvitationCard",{key:e.id,attrs:{member:e},on:{accept:t.acceptInvitation,reject:t.rejectInvitation}})})),1):t._e()},i=[],s=r(23796),a=r(70655),n=r(32542),l=r(23940),u=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"card"},[r("div",{staticClass:"card-content media"},[r("div",{staticClass:"media-content"},[r("div",{staticClass:"content"},[r("i18n",{attrs:{tag:"p",path:"You have been invited by {invitedBy} to the following group:"}},[r("b",{attrs:{slot:"invitedBy"},slot:"invitedBy"},[t._v(t._s(t.member.invitedBy.name))])])],1),r("div",{staticClass:"media subfield"},[r("div",{staticClass:"media-left"},[t.member.parent.avatar?r("figure",{staticClass:"image is-48x48"},[r("img",{staticClass:"is-rounded",attrs:{src:t.member.parent.avatar.url,alt:""}})]):r("b-icon",{attrs:{size:"is-large",icon:"account-group"}})],1),r("div",{staticClass:"media-content"},[r("div",{staticClass:"level"},[r("div",{staticClass:"level-left"},[r("div",{staticClass:"level-item mr-3"},[r("router-link",{attrs:{to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.member.parent)}}}},[r("h3",{staticClass:"is-size-5"},[t._v(t._s(t.member.parent.name))]),r("p",{staticClass:"is-size-7 has-text-grey-dark"},[t.member.parent.domain?r("span",[t._v(" "+t._s("@"+t.member.parent.preferredUsername+"@"+t.member.parent.domain)+" ")]):r("span",[t._v(t._s("@"+t.member.parent.preferredUsername))])])])],1)]),r("div",{staticClass:"level-right"},[r("div",{staticClass:"level-item"},[r("b-button",{attrs:{type:"is-success"},on:{click:function(e){return t.$emit("accept",t.member.id)}}},[t._v(" "+t._s(t.$t("Accept"))+" ")])],1),r("div",{staticClass:"level-item"},[r("b-button",{attrs:{type:"is-danger"},on:{click:function(e){return t.$emit("reject",t.member.id)}}},[t._v(" "+t._s(t.$t("Decline"))+" ")])],1)])])])])])])])},c=[],p=r(43637),d=r(75049);let m=class extends l.w3{constructor(...t){super(...t),(0,s.Z)(this,"member",void 0),(0,s.Z)(this,"RouteName",d.Z),(0,s.Z)(this,"usernameWithDomain",p.U_)}};(0,a.gn)([(0,l.fI)({required:!0})],m.prototype,"member",void 0),m=(0,a.gn)([l.wA],m);const g=m,v=g;var h=r(1001),f=(0,h.Z)(v,u,c,!1,null,"ffa2d974",null);const b=f.exports;var _=r(2156);let y=class extends l.w3{constructor(...t){super(...t),(0,s.Z)(this,"invitations",void 0)}async acceptInvitation(t){try{await this.$apollo.mutate({mutation:n.g0,variables:{id:t},refetchQueries({data:t}){const e=t?.acceptInvitation?.actor,r=t?.acceptInvitation?.parent;return e&&r?[{query:_.lh,variables:{id:e.id,group:(0,p.U_)(r)}}]:[]}})}catch(e){console.error(e),e.graphQLErrors&&e.graphQLErrors.length>0&&this.$notifier.error(e.graphQLErrors[0].message)}}async rejectInvitation(t){try{await this.$apollo.mutate({mutation:n.BJ,variables:{id:t},refetchQueries({data:t}){const e=t?.rejectInvitation?.actor,r=t?.rejectInvitation?.parent;return e&&r?[{query:_.lh,variables:{id:e.id,group:(0,p.U_)(r)}}]:[]}})}catch(e){console.error(e),e.graphQLErrors&&e.graphQLErrors.length>0&&this.$notifier.error(e.graphQLErrors[0].message)}}};(0,a.gn)([(0,l.fI)({required:!0,type:Array})],y.prototype,"invitations",void 0),y=(0,a.gn)([(0,l.wA)({components:{InvitationCard:b}})],y);const $=y,C=$;var A=(0,h.Z)(C,o,i,!1,null,null,null);const w=A.exports},64873:(t,e,r)=>{r.d(e,{Z:()=>D});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"posts-wrapper"},t._l(t.posts,(function(e){return r("post-list-item",{key:e.id,attrs:{post:e,isCurrentActorMember:t.isCurrentActorMember}})})),1)},i=[],s=r(23796),a=r(70655),n=r(23940),l=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("router-link",{staticClass:"post-minimalist-card-wrapper",attrs:{dir:"auto",to:{name:t.RouteName.POST,params:{slug:t.post.slug}}}},[r("lazy-image-wrapper",{staticStyle:{height:"120px"},attrs:{picture:t.post.picture,rounded:!0}}),r("div",{staticClass:"title-info-wrapper has-text-grey-dark"},[r("h3",{staticClass:"post-minimalist-title",attrs:{lang:t.post.language}},[t._v(" "+t._s(t.post.title)+" ")]),r("p",{staticClass:"post-publication-date"},[r("b-icon",{attrs:{icon:"clock"}}),t.isBeforeLastWeek?r("span",{staticClass:"has-text-grey-dark",attrs:{dir:"auto"}},[t._v(t._s(t._f("formatDateTimeString")(t.publishedAt,void 0,!1,"short")))]):r("span",[t._v(t._s(t.formatDistanceToNow(t.publishedAt,{locale:t.$dateFnsLocale,addSuffix:!0})))])],1),t.post.tags.length>0?r("b-taglist",{staticStyle:{display:"inline"}},[r("b-icon",{attrs:{icon:"tag"}}),t._l(t.post.tags,(function(e){return r("b-tag",{key:e.slug},[t._v(t._s(e.title))])}))],2):t._e(),t.isCurrentActorMember?r("p",{staticClass:"post-publisher has-text-grey-dark"},[r("b-icon",{attrs:{icon:"account-edit"}}),r("i18n",{attrs:{path:"Published by {name}"}},[r("b",{staticClass:"has-text-weight-medium",attrs:{slot:"name"},slot:"name"},[t._v(t._s(t.displayName(t.post.author)))])])],1):t._e()],1)],1)},u=[],c=r(87413),p=r(19013),d=r(13882);function m(t,e){(0,d.Z)(2,arguments);var r=(0,p.Z)(t),o=(0,p.Z)(e);return r.getTime()<o.getTime()}var g=r(83946),v=r(63500);function h(t,e){(0,d.Z)(2,arguments);var r=(0,g.Z)(e);return(0,v.Z)(t,-r)}var f=r(75049),b=r(38446),_=r(43637);let y=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"post",void 0),(0,s.Z)(this,"isCurrentActorMember",void 0),(0,s.Z)(this,"RouteName",f.Z),(0,s.Z)(this,"formatDistanceToNow",c.Z),(0,s.Z)(this,"displayName",_.ss)}get publishedAt(){return new Date(this.post.publishAt||this.post.insertedAt)}get isBeforeLastWeek(){return m(this.publishedAt,h(new Date,1))}};(0,a.gn)([(0,n.fI)({required:!0,type:Object})],y.prototype,"post",void 0),(0,a.gn)([(0,n.fI)({required:!1,type:Boolean,default:!1})],y.prototype,"isCurrentActorMember",void 0),y=(0,a.gn)([(0,n.wA)({components:{LazyImageWrapper:b.Z}})],y);const $=y,C=$;var A=r(1001),w=(0,A.Z)(C,l,u,!1,null,"5318ebaa",null);const I=w.exports;let k=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"posts",void 0),(0,s.Z)(this,"isCurrentActorMember",void 0)}};(0,a.gn)([(0,n.fI)({type:Array,required:!0})],k.prototype,"posts",void 0),(0,a.gn)([(0,n.fI)({required:!1,type:Boolean,default:!1})],k.prototype,"isCurrentActorMember",void 0),k=(0,a.gn)([(0,n.wA)({components:{PostListItem:I}})],k);const Z=k,E=Z;var M=(0,A.Z)(E,o,i,!1,null,"08caf5f6",null);const D=M.exports},98541:(t,e,r)=>{r.d(e,{Z:()=>m});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"modal-card"},[t.title?r("header",{staticClass:"modal-card-head"},[r("h2",{staticClass:"modal-card-title"},[t._v(t._s(t.title))])]):t._e(),r("section",{staticClass:"modal-card-body is-flex",class:{"is-titleless":!t.title}},[r("div",{staticClass:"media"},[r("div",{staticClass:"media-left"},[r("b-icon",{attrs:{icon:"alert",type:"is-warning",size:"is-large"}})],1),r("div",{staticClass:"media-content"},[t.comment?r("div",{staticClass:"box"},[r("article",{staticClass:"media"},[r("div",{staticClass:"media-left"},[t.comment.actor.avatar?r("figure",{staticClass:"image is-48x48"},[r("img",{attrs:{src:t.comment.actor.avatar.url,alt:""}})]):r("b-icon",{staticClass:"media-left",attrs:{size:"is-large",icon:"account-circle"}})],1),r("div",{staticClass:"media-content"},[r("div",{staticClass:"content"},[r("strong",[t._v(t._s(t.comment.actor.name))]),r("small",[t._v("@"+t._s(t.comment.actor.preferredUsername))]),r("br"),r("p",{domProps:{innerHTML:t._s(t.comment.text)}})])])])]):t._e(),r("p",[t._v(" "+t._s(t.$t("The report will be sent to the moderators of your instance. You can explain why you report this content below."))+" ")]),r("div",{staticClass:"control"},[r("b-field",{attrs:{label:t.$t("Additional comments"),"label-for":"additonal-comments"}},[r("b-input",{attrs:{type:"textarea",id:"additonal-comments"},model:{value:t.content,callback:function(e){t.content=e},expression:"content"}})],1)],1),t.outsideDomain?r("div",{staticClass:"control"},[r("p",[t._v(" "+t._s(t.$t("The content came from another server. Transfer an anonymous copy of the report?"))+" ")]),r("b-switch",{model:{value:t.forward,callback:function(e){t.forward=e},expression:"forward"}},[t._v(t._s(t.$t("Transfer to {outsideDomain}",{outsideDomain:t.outsideDomain})))])],1):t._e()])])]),r("footer",{staticClass:"modal-card-foot"},[r("button",{ref:"cancelButton",staticClass:"button",on:{click:t.close}},[t._v(" "+t._s(t.translatedCancelText)+" ")]),r("button",{ref:"confirmButton",staticClass:"button is-primary",on:{click:t.confirm,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.confirm.apply(null,arguments)}}},[t._v(" "+t._s(t.translatedConfirmText)+" ")])])])},i=[],s=r(23796),a=r(70655),n=r(23940);let l=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"onConfirm",void 0),(0,s.Z)(this,"title",void 0),(0,s.Z)(this,"comment",void 0),(0,s.Z)(this,"outsideDomain",void 0),(0,s.Z)(this,"cancelText",void 0),(0,s.Z)(this,"confirmText",void 0),(0,s.Z)(this,"isActive",!1),(0,s.Z)(this,"content",""),(0,s.Z)(this,"forward",!1)}get translatedCancelText(){return this.cancelText||this.$t("Cancel")}get translatedConfirmText(){return this.confirmText||this.$t("Send the report")}confirm(){this.onConfirm(this.content,this.forward),this.close()}close(){this.isActive=!1,this.$emit("close")}};(0,a.gn)([(0,n.fI)({type:Function})],l.prototype,"onConfirm",void 0),(0,a.gn)([(0,n.fI)({type:String})],l.prototype,"title",void 0),(0,a.gn)([(0,n.fI)({type:Object})],l.prototype,"comment",void 0),(0,a.gn)([(0,n.fI)({type:String,default:""})],l.prototype,"outsideDomain",void 0),(0,a.gn)([(0,n.fI)({type:String})],l.prototype,"cancelText",void 0),(0,a.gn)([(0,n.fI)({type:String})],l.prototype,"confirmText",void 0),l=(0,a.gn)([(0,n.wA)({mounted(){this.$data.isActive=!0}})],l);const u=l,c=u;var p=r(1001),d=(0,p.Z)(c,o,i,!1,null,"3904ed62",null);const m=d.exports},20014:(t,e,r)=>{r.d(e,{Z:()=>h});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return t.todo?r("div",{staticClass:"card"},[r("div",{staticClass:"card-content"},[r("b-checkbox",{model:{value:t.status,callback:function(e){t.status=e},expression:"status"}}),r("router-link",{attrs:{to:{name:t.RouteName.TODO,params:{todoId:t.todo.id}}}},[t._v(t._s(t.todo.title))]),r("span",{staticClass:"details has-text-grey"},[t.todo.dueDate?r("span",{staticClass:"due_date"},[r("b-icon",{attrs:{icon:"calendar"}}),t._v(" "+t._s(t._f("formatDateString")(t.todo.dueDate))+" ")],1):t._e(),t.todo.assignedTo?r("span",{staticClass:"assigned_to"},[r("b-icon",{attrs:{icon:"account"}}),t._v(" "+t._s("@"+t.todo.assignedTo.preferredUsername)+" "),t.todo.assignedTo.domain?r("span",[t._v(t._s("@"+t.todo.assignedTo.domain))]):t._e()],1):t._e()])],1)]):t._e()},i=[],s=r(23796),a=r(70655),n=r(23940),l=r(24167),u=r(75049),c=r(61360);let p=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"todo",void 0),(0,s.Z)(this,"RouteName",u.Z),(0,s.Z)(this,"editMode",!1)}get status(){return this.todo.status}set status(t){this.updateTodo({status:t})}async updateTodo(t){try{await this.$apollo.mutate({mutation:c.Iu,variables:{id:this.todo.id,...t}}),this.editMode=!1}catch(e){l.GU.open({message:e.message,type:"is-danger",position:"is-bottom"})}}};(0,a.gn)([(0,n.fI)({required:!0,type:Object})],p.prototype,"todo",void 0),p=(0,a.gn)([n.wA],p);const d=p,m=d;var g=r(1001),v=(0,g.Z)(m,o,i,!1,null,"5150a17c",null);const h=v.exports},30229:(t,e,r)=>{r.r(e),r.d(e,{default:()=>Y});var o=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("div",{staticClass:"container is-widescreen"},[r("div",{staticClass:"header"},[r("nav",{staticClass:"breadcrumb",attrs:{"aria-label":t.$t("Breadcrumbs")}},[r("ul",[r("li",[r("router-link",{attrs:{to:{name:t.RouteName.MY_GROUPS}}},[t._v(t._s(t.$t("My groups")))])],1),r("li",{staticClass:"is-active"},[t.group&&t.group.preferredUsername?r("router-link",{attrs:{"aria-current-value":"location",to:{name:t.RouteName.GROUP,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.group.name))]):r("b-skeleton",{attrs:{animated:!0}})],1)])]),r("b-loading",{attrs:{active:t.$apollo.loading},on:{"update:active":function(e){return t.$set(t.$apollo,"loading",e)}}}),t.group?r("header",{staticClass:"block-container presentation"},[r("div",{staticClass:"banner-container"},[r("lazy-image-wrapper",{attrs:{picture:t.group.banner}})],1),r("div",{staticClass:"header"},[r("div",{staticClass:"avatar-container"},[t.group.avatar?r("figure",{staticClass:"image is-128x128"},[r("img",{staticClass:"is-rounded",attrs:{src:t.group.avatar.url,alt:""}})]):r("b-icon",{attrs:{size:"is-large",icon:"account-group"}})],1),r("div",{staticClass:"title-container"},[t.group.name?r("h1",[t._v(t._s(t.group.name))]):r("b-skeleton",{attrs:{animated:!0}}),t.group.preferredUsername?r("small",{staticClass:"has-text-grey-dark",attrs:{dir:"ltr"}},[t._v("@"+t._s(t.usernameWithDomain(t.group)))]):r("b-skeleton",{attrs:{animated:!0}}),r("br")],1),r("div",{staticClass:"group-metadata"},[t.isCurrentActorAGroupMember&&!t.previewPublic?r("div",{staticClass:"block-column members"},[r("div",t._l(t.members,(function(e){return r("figure",{key:e.actor.id,staticClass:"image is-32x32",attrs:{title:t.$t("@{username} ({role})",{username:t.usernameWithDomain(e.actor),role:e.role})}},[e.actor.avatar?r("img",{staticClass:"is-rounded",attrs:{src:e.actor.avatar.url,alt:""}}):r("b-icon",{attrs:{size:"is-medium",icon:"account-circle"}})],1)})),0),r("p",[t._v(" "+t._s(t.$tc("{count} members",t.group.members.total,{count:t.group.members.total}))+" "),t.isCurrentActorAGroupAdmin?r("router-link",{attrs:{to:{name:t.RouteName.GROUP_MEMBERS_SETTINGS,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Add / Remove…")))]):t._e()],1)]):t._e(),r("div",{staticClass:"buttons"},[t.isCurrentActorAGroupMember&&!t.previewPublic?r("b-button",{attrs:{outlined:"","icon-left":"timeline-text",tag:"router-link",to:{name:t.RouteName.TIMELINE,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Activity")))]):t._e(),t.isCurrentActorAGroupAdmin&&!t.previewPublic?r("b-button",{attrs:{outlined:"","icon-left":"cog",tag:"router-link",to:{name:t.RouteName.GROUP_PUBLIC_SETTINGS,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("Group settings")))]):t._e(),t.isCurrentActorAGroupMember&&!t.previewPublic||t.group.openness!==t.Openness.INVITE_ONLY?(!t.isCurrentActorAGroupMember&&!t.isCurrentActorAPendingGroupMember||t.previewPublic)&&t.currentActor.id?r("b-button",{attrs:{type:"is-primary",disabled:t.previewPublic},on:{click:t.joinGroup,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.joinGroup.apply(null,arguments)}}},[t._v(t._s(t.$t("Join group")))]):t.isCurrentActorAPendingGroupMember?r("b-button",{attrs:{outlined:"",type:"is-primary"},on:{click:t.leaveGroup,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.leaveGroup.apply(null,arguments)}}},[t._v(t._s(t.$t("Cancel membership request")))]):!t.isCurrentActorAGroupMember||t.previewPublic?r("b-button",{attrs:{tag:"router-link",to:{name:t.RouteName.GROUP_JOIN,params:{preferredUsername:t.usernameWithDomain(t.group)}},disabled:t.previewPublic,type:"is-primary"}},[t._v(t._s(t.$t("Join group")))]):t._e():r("b-tooltip",{attrs:{label:t.$t("This group is invite-only"),position:"is-bottom"}},[r("b-button",{attrs:{disabled:"",type:"is-primary"}},[t._v(t._s(t.$t("Join group")))])],1),(t.isCurrentActorFollowing||t.isCurrentActorAGroupMember)&&!t.previewPublic||t.isCurrentActorPendingFollow||!t.currentActor.id?t.isCurrentActorPendingFollow||t.isCurrentActorFollowing||!t.previewPublic?t._e():r("b-button",{attrs:{tag:"router-link",to:{name:t.RouteName.GROUP_FOLLOW,params:{preferredUsername:t.usernameWithDomain(t.group)}},disabled:t.previewPublic,type:"is-primary"}},[t._v(t._s(t.$t("Follow")))]):r("b-button",{attrs:{type:"is-primary",disabled:t.isCurrentActorPendingFollow},on:{click:t.followGroup,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.followGroup.apply(null,arguments)}}},[t._v(t._s(t.$t("Follow")))]),t.isCurrentActorPendingFollow&&t.currentActor.id?r("b-button",{attrs:{outlined:"",type:"is-primary"},on:{click:t.unFollowGroup,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.unFollowGroup.apply(null,arguments)}}},[t._v(t._s(t.$t("Cancel follow request")))]):t._e(),t.isCurrentActorFollowing&&!t.previewPublic&&t.currentActor.id?r("b-button",{attrs:{type:"is-primary"},on:{click:t.unFollowGroup}},[t._v(t._s(t.$t("Unfollow")))]):t._e(),t.isCurrentActorFollowing?r("b-button",{attrs:{"icon-left":t.isCurrentActorFollowingNotify?"bell-outline":"bell-off-outline"},on:{click:t.toggleFollowNotify,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.toggleFollowNotify.apply(null,arguments)}}}):t._e(),!t.isCurrentActorAGroupMember||t.previewPublic?r("b-button",{attrs:{outlined:"","icon-left":"share"},on:{click:function(e){return t.triggerShare()},keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.triggerShare()}}},[t._v(" "+t._s(t.$t("Share"))+" ")]):t._e(),r("b-dropdown",{staticClass:"menu-dropdown",attrs:{position:"is-bottom-left","aria-role":"menu"}},[r("b-button",{attrs:{slot:"trigger",outlined:"",role:"button","icon-left":"dots-horizontal","aria-label":t.$t("Other actions")},slot:"trigger"}),t.isCurrentActorAGroupMember||t.previewPublic?r("b-dropdown-item",{attrs:{"aria-role":"menuitem"}},[r("b-switch",{model:{value:t.previewPublic,callback:function(e){t.previewPublic=e},expression:"previewPublic"}},[t._v(t._s(t.$t("Public preview")))])],1):t._e(),!t.previewPublic&&t.isCurrentActorAGroupMember?r("b-dropdown-item",{attrs:{"aria-role":"menuitem"},on:{click:function(e){return t.triggerShare()},keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.triggerShare()}}},[r("span",[r("b-icon",{attrs:{icon:"share"}}),t._v(" "+t._s(t.$t("Share"))+" ")],1)]):t._e(),t.isCurrentActorAGroupMember?r("hr",{staticClass:"dropdown-divider",attrs:{role:"presentation"}}):t._e(),r("b-dropdown-item",{attrs:{"has-link":"","aria-role":"menuitem"}},[r("a",{attrs:{href:"@"+t.preferredUsername+"/feed/atom",title:t.$t("Atom feed for events and posts")}},[r("b-icon",{attrs:{icon:"rss"}}),t._v(" "+t._s(t.$t("RSS/Atom Feed"))+" ")],1)]),r("b-dropdown-item",{attrs:{"has-link":"","aria-role":"menuitem"}},[r("a",{attrs:{href:"@"+t.preferredUsername+"/feed/ics",title:t.$t("ICS feed for events")}},[r("b-icon",{attrs:{icon:"calendar-sync"}}),t._v(" "+t._s(t.$t("ICS/WebCal Feed"))+" ")],1)]),r("hr",{staticClass:"dropdown-divider",attrs:{role:"presentation"}}),t.ableToReport?r("b-dropdown-item",{attrs:{"aria-role":"menuitem"},on:{click:function(e){t.isReportModalActive=!0},keyup:function(e){if(!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter"))return null;t.isReportModalActive=!0}}},[r("span",[r("b-icon",{attrs:{icon:"flag"}}),t._v(" "+t._s(t.$t("Report"))+" ")],1)]):t._e(),t.isCurrentActorAGroupMember&&!t.previewPublic?r("b-dropdown-item",{attrs:{"aria-role":"menuitem"},on:{click:t.openLeaveGroupModal,keyup:function(e){return!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter")?null:t.openLeaveGroupModal.apply(null,arguments)}}},[r("span",[r("b-icon",{attrs:{icon:"exit-to-app"}}),t._v(" "+t._s(t.$t("Leave"))+" ")],1)]):t._e()],1)],1)]),t.isCurrentActorAnInvitedGroupMember?r("invitations",{attrs:{invitations:[t.groupMember]}}):t._e(),t.isCurrentActorARejectedGroupMember?r("b-message",{attrs:{type:"is-danger"}},[t._v(" "+t._s(t.$t("You have been removed from this group's members."))+" ")]):t._e(),t.isCurrentActorAGroupMember&&t.isCurrentActorARecentMember&&t.isCurrentActorOnADifferentDomainThanGroup?r("b-message",{attrs:{type:"is-info"}},[t._v(" "+t._s(t.$t("Since you are a new member, private content can take a few minutes to appear."))+" ")]):t._e(),t.isCurrentActorAGroupMember||t.isCurrentActorAPendingGroupMember||t.isCurrentActorPendingFollow||t.isCurrentActorFollowing?t._e():r("b-message",{staticClass:"m-3",attrs:{type:"is-info","has-icon":""}},[r("i18n",{attrs:{path:"Following the group will allow you to be informed of the {group_upcoming_public_events}, whereas joining the group means you will {access_to_group_private_content_as_well}, including group discussions, group resources and members-only posts."}},[r("b",{attrs:{slot:"group_upcoming_public_events"},slot:"group_upcoming_public_events"},[t._v(t._s(t.$t("group's upcoming public events")))]),r("b",{attrs:{slot:"access_to_group_private_content_as_well"},slot:"access_to_group_private_content_as_well"},[t._v(t._s(t.$t("access to the group's private content as well")))])])],1)],1)]):t._e()],1),t.isCurrentActorAGroupMember&&!t.previewPublic?r("div",{staticClass:"block-container"},[r("div",{staticClass:"block-column"},[r("group-section",{attrs:{title:t.$t("Discussions"),icon:"chat",route:{name:t.RouteName.DISCUSSION_LIST,params:{preferredUsername:t.usernameWithDomain(t.group)}}},scopedSlots:t._u([{key:"default",fn:function(){return[t.group.discussions.total>0?r("div",t._l(t.group.discussions.elements,(function(t){return r("discussion-list-item",{key:t.id,attrs:{discussion:t}})})),1):r("empty-content",{attrs:{icon:"chat",inline:!0}},[t._v(" "+t._s(t.$t("No discussions yet"))+" ")])]},proxy:!0},{key:"create",fn:function(){return[r("router-link",{staticClass:"button is-primary",attrs:{to:{name:t.RouteName.CREATE_DISCUSSION,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("+ Start a discussion")))])]},proxy:!0}],null,!1,2716664916)}),r("group-section",{attrs:{title:t.$t("Resources"),icon:"link",route:{name:t.RouteName.RESOURCE_FOLDER_ROOT,params:{preferredUsername:t.usernameWithDomain(t.group)}}},scopedSlots:t._u([{key:"default",fn:function(){return[t.group.resources.elements.length>0?r("div",t._l(t.group.resources.elements,(function(e){return r("div",{key:e.id},["folder"!==e.type?r("resource-item",{attrs:{resource:e,inline:!0}}):r("folder-item",{attrs:{resource:e,group:t.group,inline:!0}})],1)})),0):r("empty-content",{attrs:{icon:"link",inline:!0}},[t._v(" "+t._s(t.$t("No resources yet"))+" ")])]},proxy:!0},{key:"create",fn:function(){return[r("router-link",{staticClass:"button is-primary",attrs:{to:{name:t.RouteName.RESOURCE_FOLDER_ROOT,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("+ Add a resource")))])]},proxy:!0}],null,!1,495315202)})],1),r("div",{staticClass:"block-column"},[r("group-section",{attrs:{title:t.$t("Events"),icon:"calendar",privateSection:!1,route:{name:t.RouteName.GROUP_EVENTS,params:{preferredUsername:t.usernameWithDomain(t.group)}}},scopedSlots:t._u([{key:"default",fn:function(){return[t.group&&t.group.organizedEvents.total>0?r("div",{staticClass:"organized-events-wrapper"},t._l(t.group.organizedEvents.elements.slice(0,3),(function(t){return r("event-minimalist-card",{key:t.uuid,staticClass:"organized-event",attrs:{event:t}})})),1):t.group?r("empty-content",{attrs:{icon:"calendar",inline:!0}},[t._v(" "+t._s(t.$t("No public upcoming events"))+" ")]):r("b-skeleton",{attrs:{animated:""}})]},proxy:!0},{key:"create",fn:function(){return[t.isCurrentActorAGroupModerator?r("router-link",{staticClass:"button is-primary",attrs:{to:{name:t.RouteName.CREATE_EVENT,query:{actorId:t.group.id}}}},[t._v(t._s(t.$t("+ Create an event")))]):t._e()]},proxy:!0}],null,!1,3500443579)}),r("group-section",{attrs:{title:t.$t("Public page"),icon:"bullhorn",privateSection:!1,route:{name:t.RouteName.POSTS,params:{preferredUsername:t.usernameWithDomain(t.group)}}},scopedSlots:t._u([{key:"default",fn:function(){return[t.group.posts.total>0?r("multi-post-list-item",{attrs:{posts:t.group.posts.elements.slice(0,3),isCurrentActorMember:t.isCurrentActorAGroupMember}}):t.group?r("empty-content",{attrs:{icon:"bullhorn",inline:!0}},[t._v(" "+t._s(t.$t("No posts yet"))+" ")]):t._e()]},proxy:!0},{key:"create",fn:function(){return[t.isCurrentActorAGroupModerator?r("router-link",{staticClass:"button is-primary",attrs:{to:{name:t.RouteName.POST_CREATE,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("+ Create a post")))]):t._e()]},proxy:!0}],null,!1,3922361040)})],1)]):t.group||!1!==t.$apollo.loading?t.group?r("div",{staticClass:"public-container"},[r("aside",{staticClass:"group-metadata"},[r("div",{staticClass:"sticky"},[t.group.domain&&!t.isCurrentActorAGroupMember?r("b-message",[t._v(" "+t._s(t.$t("This profile is from another instance, the informations shown here may be incomplete."))+" "),r("a",{attrs:{href:t.group.url,rel:"noopener noreferrer external"}},[t._v(t._s(t.$t("View full profile")))])]):t._e(),r("event-metadata-block",{attrs:{title:t.$t("Members"),icon:"account-group"}},[t._v(" "+t._s(t.$tc("{count} members",t.group.members.total,{count:t.group.members.total}))+" ")]),t.physicalAddress&&t.physicalAddress.url?r("event-metadata-block",{attrs:{title:t.$t("Location"),icon:t.physicalAddress?t.physicalAddress.poiInfos.poiIcon.icon:"earth"}},[r("div",{staticClass:"address-wrapper"},[t.physicalAddress?t._e():r("span",[t._v(t._s(t.$t("No address defined")))]),t.physicalAddress?r("div",{staticClass:"address"},[r("div",[r("address",{attrs:{dir:"auto"}},[r("p",{staticClass:"addressDescription",attrs:{title:t.physicalAddress.poiInfos.name}},[t._v(" "+t._s(t.physicalAddress.poiInfos.name)+" ")]),r("p",{staticClass:"has-text-grey-dark"},[t._v(" "+t._s(t.physicalAddress.poiInfos.alternativeName)+" ")])])]),t.physicalAddress.geom?r("b-button",{staticClass:"map-show-button",attrs:{type:"is-text"},on:{click:function(e){t.showMap=!t.showMap},keyup:function(e){if(!e.type.indexOf("key")&&t._k(e.keyCode,"enter",13,e.key,"Enter"))return null;t.showMap=!t.showMap}}},[t._v(" "+t._s(t.$t("Show map"))+" ")]):t._e()],1):t._e()])]):t._e()],1)]),r("div",{staticClass:"main-content"},[r("section",[r("subtitle",[t._v(t._s(t.$t("About")))]),t.group.summary&&"<p></p>"!==t.group.summary?r("div",{attrs:{dir:"auto"},domProps:{innerHTML:t._s(t.group.summary)}}):t.group?r("empty-content",{attrs:{icon:"image-text",inline:!0}},[t._v(" "+t._s(t.$t("This group doesn't have a description yet."))+" ")]):t._e()],1),r("section",[r("subtitle",[t._v(t._s(t.$t("Upcoming events")))]),t.group&&t.organizedEvents.elements.length>0?r("div",{staticClass:"organized-events-wrapper"},t._l(t.organizedEvents.elements.slice(0,3),(function(t){return r("event-minimalist-card",{key:t.uuid,staticClass:"organized-event",attrs:{event:t}})})),1):t.group?r("empty-content",{attrs:{icon:"calendar",inline:!0},scopedSlots:t._u([t.isCurrentActorFollowing?{key:"desc",fn:function(){return[r("i18n",{staticClass:"has-text-grey-dark",attrs:{path:"You will receive notifications about this group's public activity depending on %{notification_settings}."}},[r("router-link",{attrs:{slot:"notification_settings",to:{name:t.RouteName.NOTIFICATIONS}},slot:"notification_settings"},[t._v(t._s(t.$t("your notification settings")))])],1)]},proxy:!0}:null],null,!0)},[t._v(" "+t._s(t.$t("No public upcoming events"))+" ")]):t.$apollo.loading?r("b-skeleton",{attrs:{animated:""}}):t._e(),t.organizedEvents.total>0?r("router-link",{attrs:{to:{name:t.RouteName.GROUP_EVENTS,params:{preferredUsername:t.usernameWithDomain(t.group)},query:{future:t.organizedEvents.elements.length>0}}}},[t._v(t._s(t.$t("View all events")))]):t._e()],1),r("section",[r("subtitle",[t._v(t._s(t.$t("Latest posts")))]),t.posts.elements.filter((function(e){return!e.draft&&e.visibility===t.PostVisibility.PUBLIC})).length>0?r("multi-post-list-item",{attrs:{posts:t.posts.elements.filter((function(e){return!e.draft&&e.visibility===t.PostVisibility.PUBLIC}))}}):t.group?r("empty-content",{attrs:{icon:"bullhorn",inline:!0}},[t._v(" "+t._s(t.$t("No posts yet"))+" ")]):t.$apollo.loading?r("b-skeleton",{attrs:{animated:""}}):t._e(),t.posts.total>0?r("router-link",{attrs:{to:{name:t.RouteName.POSTS,params:{preferredUsername:t.usernameWithDomain(t.group)}}}},[t._v(t._s(t.$t("View all posts")))]):t._e()],1)]),t.physicalAddress&&t.physicalAddress.geom?r("b-modal",{attrs:{active:t.showMap,"close-button-aria-label":t.$t("Close")},on:{"update:active":function(e){t.showMap=e}}},[r("div",{staticClass:"map"},[r("map-leaflet",{attrs:{coords:t.physicalAddress.geom,marker:{text:t.physicalAddress.fullName,icon:t.physicalAddress.poiInfos.poiIcon.icon}}})],1)]):t._e()],1):t._e():r("b-message",{attrs:{type:"is-danger"}},[t._v(" "+t._s(t.$t("No group found"))+" ")]),t.group?r("b-modal",{ref:"reportModal",attrs:{"close-button-aria-label":t.$t("Close"),active:t.isReportModalActive,"has-modal-card":""},on:{"update:active":function(e){t.isReportModalActive=e}}},[r("report-modal",{attrs:{"on-confirm":t.reportGroup,title:t.$t("Report this group"),"outside-domain":t.group.domain},on:{close:function(e){return t.$refs.reportModal.close()}}})],1):t._e(),t.group?r("b-modal",{ref:"shareModal",attrs:{"close-button-aria-label":t.$t("Close"),active:t.isShareModalActive,"has-modal-card":""},on:{"update:active":function(e){t.isShareModalActive=e}}},[r("share-group-modal",{attrs:{group:t.group}})],1):t._e()],1)},i=[],s=r(23796),a=r(70655),n=r(23940),l=r(92783),u=r(43637),c=r(76531),p=r(20014),d=r(82626),m=r(44948),g=r(64873),v=r(99460),h=r(39201),f=r(11109),b=r(12307),_=r(83946),y=r(19013),$=r(13882);function C(t,e){(0,$.Z)(2,arguments);var r=(0,y.Z)(t).getTime(),o=(0,_.Z)(e);return new Date(r+o)}var A=6e4;function w(t,e){(0,$.Z)(2,arguments);var r=(0,_.Z)(e);return C(t,r*A)}var I=r(56756),k=r(60757),Z=r(20307),E=r(45904),M=r(32542),D=r(76829),P=r(75049),T=function(){var t=this,e=t.$createElement,r=t._self._c||e;return r("section",[r("div",{staticClass:"group-section-title",class:{privateSection:t.privateSection}},[r("h2",[r("b-icon",{attrs:{icon:t.icon}}),r("span",[t._v(t._s(t.title))])],1),r("router-link",{attrs:{to:t.route}},[t._v(t._s(t.$t("View all")))])],1),r("div",{staticClass:"main-slot"},[t._t("default")],2),r("div",{staticClass:"create-slot"},[t._t("create")],2)])},x=[];let R=class extends n.w3{constructor(...t){super(...t),(0,s.Z)(this,"title",void 0),(0,s.Z)(this,"icon",void 0),(0,s.Z)(this,"privateSection",void 0),(0,s.Z)(this,"route",void 0)}};(0,a.gn)([(0,n.fI)({required:!0,type:String})],R.prototype,"title",void 0),(0,a.gn)([(0,n.fI)({required:!0,type:String})],R.prototype,"icon",void 0),(0,a.gn)([(0,n.fI)({required:!1,type:Boolean,default:!0})],R.prototype,"privateSection",void 0),(0,a.gn)([(0,n.fI)({required:!0,type:Object})],R.prototype,"route",void 0),R=(0,a.gn)([n.wA],R);const S=R,G=S;var N=r(1001),U=(0,N.Z)(G,T,x,!1,null,"dceea9d2",null);const F=U.exports;var O=r(98541),L=r(2156),z=r(36458),q=r(38446),B=r(92832),W=r(58123),j=r(64578);let Q=class extends((0,E.tA)(Z.Z)){constructor(...t){super(...t),(0,s.Z)(this,"preferredUsername",void 0),(0,s.Z)(this,"config",void 0),(0,s.Z)(this,"loading",!0),(0,s.Z)(this,"RouteName",P.Z),(0,s.Z)(this,"usernameWithDomain",u.U_),(0,s.Z)(this,"PostVisibility",D.Gi),(0,s.Z)(this,"Openness",D.rq),(0,s.Z)(this,"showMap",!1),(0,s.Z)(this,"isReportModalActive",!1),(0,s.Z)(this,"isShareModalActive",!1),(0,s.Z)(this,"previewPublic",!1)}watchCurrentActor(t,e){t.id&&e&&t.id!==e.id&&this.$apollo.queries.group.refetch()}async joinGroup(){const[t,e]=[(0,u.U_)(this.group),this.currentActor.id];this.$apollo.mutate({mutation:M.KX,variables:{groupId:this.group.id},refetchQueries:[{query:L.lh,variables:{id:e,group:t}}]})}async openLeaveGroupModal(){this.$buefy.dialog.confirm({type:"is-danger",title:this.$t("Leave group"),message:this.$t("Are you sure you want to leave the group {groupName}? You'll loose access to this group's private content. This action cannot be undone.",{groupName:`<b>${(0,u.ss)(this.group)}</b>`}),onConfirm:()=>this.leaveGroup(),confirmText:this.$t("Leave group"),cancelText:this.$t("Cancel")})}async leaveGroup(){try{const[t,e]=[(0,u.U_)(this.group),this.currentActor.id];await this.$apollo.mutate({mutation:z.dm,variables:{groupId:this.group.id},refetchQueries:[{query:L.lh,variables:{id:e,group:t}}]})}catch(t){t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}async followGroup(){try{const[t,e]=[(0,u.U_)(this.group),this.currentActor.id];await this.$apollo.mutate({mutation:j.GP,variables:{groupId:this.group.id},refetchQueries:[{query:L.lh,variables:{id:e,group:t}}]})}catch(t){t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}async unFollowGroup(){console.debug("unfollow group");try{const[t,e]=[(0,u.U_)(this.group),this.currentActor.id];await this.$apollo.mutate({mutation:j.eh,variables:{groupId:this.group.id},refetchQueries:[{query:L.lh,variables:{id:e,group:t}}]})}catch(t){t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}async toggleFollowNotify(){await this.$apollo.mutate({mutation:j.VI,variables:{followId:this.currentActorFollow?.id,notify:!this.isCurrentActorFollowingNotify}})}async reportGroup(t,e){this.isReportModalActive=!1,this.$refs.reportModal.close();const r=this.group.name||(0,u.U_)(this.group);try{await this.$apollo.mutate({mutation:k.Zv,variables:{reportedId:this.group.id,content:t,forward:e}}),this.$notifier.success(this.$t("Group {groupTitle} reported",{groupTitle:r}))}catch(o){console.error(o),this.$notifier.error(this.$t("Error while reporting group {groupTitle}",{groupTitle:r}))}}triggerShare(){navigator.share?navigator.share({title:(0,u.ss)(this.group),url:this.group.url}).then((()=>console.log("Successful share"))).catch((t=>console.log("Error sharing",t))):this.isShareModalActive=!0}get groupTitle(){return this.group?.name||this.group?.preferredUsername}get groupSummary(){return this.group?.summary}get groupMember(){if(this.person?.memberships?.total>0)return this.person?.memberships?.elements[0]}refetchGroupData(){this.$apollo.queries.group.refetch()}get isCurrentActorARejectedGroupMember(){return this.person&&this.person.memberships.elements.filter((t=>t.role===D.UB.REJECTED)).map((({parent:{id:t}})=>t)).includes(this.group.id)}get isCurrentActorAnInvitedGroupMember(){return this.person&&this.person.memberships.elements.filter((t=>t.role===D.UB.INVITED)).map((({parent:{id:t}})=>t)).includes(this.group.id)}get isCurrentActorARecentMember(){return void 0!==this.groupMember&&this.groupMember.role===D.UB.MEMBER&&w(new Date(`${this.groupMember.updatedAt}Z`),10)>new Date}get isCurrentActorOnADifferentDomainThanGroup(){return null!==this.group.domain}get members(){return this.group.members.elements.filter((t=>![D.UB.INVITED,D.UB.REJECTED,D.UB.NOT_APPROVED].includes(t.role)))}get physicalAddress(){return this.group.physicalAddress?new f.k(this.group.physicalAddress):null}get ableToReport(){return this.config&&(void 0!==this.currentActor.id||this.config.anonymous.reports.allowed)}get organizedEvents(){return{total:this.group.organizedEvents.total,elements:this.group.organizedEvents.elements.filter((t=>!this.previewPublic||!t.draft))}}get posts(){return{total:this.group.posts.total,elements:this.group.posts.elements.filter((t=>!(this.previewPublic||!this.isCurrentActorAGroupMember)||!t.draft&&t.visibility==D.Gi.PUBLIC))}}};(0,a.gn)([(0,n.fI)({type:String,required:!0})],Q.prototype,"preferredUsername",void 0),(0,a.gn)([(0,n.RL)("currentActor")],Q.prototype,"watchCurrentActor",null),(0,a.gn)([(0,n.RL)("isCurrentActorAGroupMember")],Q.prototype,"refetchGroupData",null),Q=(0,a.gn)([(0,n.wA)({apollo:{config:I.kh},components:{DiscussionListItem:m.Z,MultiPostListItem:g.Z,EventMinimalistCard:d.Z,CompactTodo:p.Z,Subtitle:c.Z,EventCard:l.Z,FolderItem:h.Z,ResourceItem:v.Z,GroupSection:F,Invitations:b.Z,ReportModal:O.Z,LazyImageWrapper:q.Z,EventMetadataBlock:B.Z,EmptyContent:W["default"],"map-leaflet":()=>Promise.all([r.e(45243),r.e(86842)]).then(r.bind(r,12646)),ShareGroupModal:()=>r.e(53018).then(r.bind(r,79757))},metaInfo(){return{title:this.groupTitle,meta:[{name:"description",content:this.groupSummary}]}}})],Q);const V=Q,X=V;var J=(0,N.Z)(X,o,i,!1,null,"f42fe876",null);const Y=J.exports},83946:(t,e,r)=>{function o(t){if(null===t||!0===t||!1===t)return NaN;var e=Number(t);return isNaN(e)?e:e<0?Math.ceil(e):Math.floor(e)}r.d(e,{Z:()=>o})},77349:(t,e,r)=>{r.d(e,{Z:()=>a});var o=r(83946),i=r(19013),s=r(13882);function a(t,e){(0,s.Z)(2,arguments);var r=(0,i.Z)(t),a=(0,o.Z)(e);return isNaN(a)?new Date(NaN):a?(r.setDate(r.getDate()+a),r):r}},63500:(t,e,r)=>{r.d(e,{Z:()=>a});var o=r(83946),i=r(77349),s=r(13882);function a(t,e){(0,s.Z)(2,arguments);var r=(0,o.Z)(e),a=7*r;return(0,i.Z)(t,a)}}}]);
//# sourceMappingURL=Group.33ecd022.js.map