"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[75709,58123],{54565:(e,t,r)=>{r.d(t,{gx:()=>s,hC:()=>o,Zi:()=>l,pO:()=>d,tC:()=>u,ON:()=>m,_Y:()=>p});var i=r(26303),a=r(2156);const s=i.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${a.XE}
`,n=(i.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`,i.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`),o=i.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${n}
`,l=i.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${n}
`,d=i.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${n}
  ${a.XE}
`,u=i.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${n}
`,m=i.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,p=i.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${a.XE}
`},36458:(e,t,r)=>{r.d(t,{jJ:()=>m,_h:()=>c,OW:()=>$,yz:()=>g,t3:()=>h,iP:()=>y,dm:()=>b,fc:()=>f,Ew:()=>v});var i=r(26303),a=r(54565),s=r(58802),n=r(13433),o=r(2156),l=r(25463),d=r(79515),u=r(16978);const m=i.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
`,p=i.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
  ${l.UY}
  ${u.D}
  ${d.i4}
`,c=i.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${p}
  ${a.gx}
  ${n.tC}
  ${s.Os}
`,$=i.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${p}
  ${a.gx}
  ${n.tC}
  ${s.Os}
`,g=i.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,h=i.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,y=i.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,b=i.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,f=i.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,v=i.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${o.XE}
`;i.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${o.XE}
  ${l.UY}
`},13433:(e,t,r)=>{r.d(t,{tC:()=>o,Gw:()=>l,QV:()=>d,Sx:()=>u,vG:()=>m,Xv:()=>p});var i=r(26303),a=r(2156),s=r(79515);const n=i.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${s.i4}
  ${a.XE}
`,o=i.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${a.XE}
  ${s.i4}
`,l=i.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${o}
`,d=i.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${n}
`,u=i.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,m=i.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,p=i.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(e,t,r)=>{r.d(t,{Os:()=>s,ZX:()=>n,RP:()=>o,p3:()=>l,L2:()=>d,qC:()=>u});var i=r(26303),a=r(2156);const s=i.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,n=i.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${a.XE}
  ${s}
`,o=i.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${s}
`,l=i.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,d=i.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,u=i.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${s}
`},58123:(e,t,r)=>{r.r(t),r.d(t,{default:()=>c});var i=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("div",{staticClass:"empty-content",class:{inline:e.inline},attrs:{role:"note"}},[r("b-icon",{attrs:{icon:e.icon,size:"is-large"}}),r("h2",{staticClass:"empty-content__title"},[e._t("default")],2),r("p",{directives:[{name:"show",rawName:"v-show",value:e.$slots.desc,expression:"$slots.desc"}]},[e._t("desc")],2)],1)},a=[],s=r(23796),n=r(70655),o=r(23940);let l=class extends o.w3{constructor(...e){super(...e),(0,s.Z)(this,"icon",void 0),(0,s.Z)(this,"inline",void 0)}};(0,n.gn)([(0,o.fI)({type:String,required:!0})],l.prototype,"icon",void 0),(0,n.gn)([(0,o.fI)({type:Boolean,required:!1,default:!1})],l.prototype,"inline",void 0),l=(0,n.gn)([o.wA],l);const d=l,u=d;var m=r(1001),p=(0,m.Z)(u,i,a,!1,null,null,null);const c=p.exports},26280:(e,t,r)=>{r.r(t),r.d(t,{default:()=>I});var i=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("div",[r("nav",{staticClass:"breadcrumb",attrs:{"aria-label":"breadcrumbs"}},[r("ul",[r("li",[r("router-link",{attrs:{to:{name:e.RouteName.MODERATION}}},[e._v(e._s(e.$t("Moderation")))])],1),r("li",{staticClass:"is-active"},[r("router-link",{attrs:{to:{name:e.RouteName.PROFILES}}},[e._v(e._s(e.$t("Groups")))])],1)])]),e.showCreateGroupsButton?r("div",{staticClass:"buttons"},[r("router-link",{staticClass:"button is-primary",attrs:{to:{name:e.RouteName.CREATE_GROUP}}},[e._v(e._s(e.$t("Create group")))])],1):e._e(),e.groups?r("div",[r("b-switch",{model:{value:e.local,callback:function(t){e.local=t},expression:"local"}},[e._v(e._s(e.$t("Local")))]),r("b-switch",{model:{value:e.suspended,callback:function(t){e.suspended=t},expression:"suspended"}},[e._v(e._s(e.$t("Suspended")))]),r("b-table",{attrs:{data:e.groups.elements,loading:e.$apollo.queries.groups.loading,paginated:"","backend-pagination":"","backend-filtering":"","debounce-search":200,"current-page":e.page,"aria-next-label":e.$t("Next page"),"aria-previous-label":e.$t("Previous page"),"aria-page-label":e.$t("Page"),"aria-current-label":e.$t("Current page"),total:e.groups.total,"per-page":e.PROFILES_PER_PAGE},on:{"update:currentPage":function(t){e.page=t},"update:current-page":function(t){e.page=t},"page-change":e.onPageChange,"filters-change":e.onFiltersChange}},[r("b-table-column",{attrs:{field:"preferredUsername",label:e.$t("Username"),searchable:""},scopedSlots:e._u([{key:"searchable",fn:function(t){return[r("b-input",{attrs:{"aria-label":e.$t("Filter"),placeholder:e.$t("Filter"),icon:"magnify"},model:{value:t.filters.preferredUsername,callback:function(r){e.$set(t.filters,"preferredUsername",r)},expression:"props.filters.preferredUsername"}})]}},{key:"default",fn:function(t){return[r("router-link",{staticClass:"profile",attrs:{to:{name:e.RouteName.ADMIN_GROUP_PROFILE,params:{id:t.row.id}}}},[r("article",{staticClass:"media"},[t.row.avatar?r("figure",{staticClass:"media-left"},[r("p",{staticClass:"image is-48x48"},[r("img",{attrs:{src:t.row.avatar.url,alt:t.row.avatar.alt||""}})])]):e._e(),r("div",{staticClass:"media-content"},[r("div",{staticClass:"content"},[t.row.name?r("strong",[e._v(e._s(t.row.name))]):e._e(),t.row.name?r("br"):e._e(),r("small",[e._v("@"+e._s(t.row.preferredUsername))])])])])])]}}],null,!1,2422289431)}),r("b-table-column",{attrs:{field:"domain",label:e.$t("Domain"),searchable:""},scopedSlots:e._u([{key:"searchable",fn:function(t){return[r("b-input",{attrs:{"aria-label":e.$t("Filter"),placeholder:e.$t("Filter"),icon:"magnify"},model:{value:t.filters.domain,callback:function(r){e.$set(t.filters,"domain",r)},expression:"props.filters.domain"}})]}},{key:"default",fn:function(t){return[e._v(" "+e._s(t.row.domain)+" ")]}}],null,!1,2300904673)}),r("template",{slot:"empty"},[r("empty-content",{attrs:{icon:"account-group",inline:!0}},[e._v(" "+e._s(e.$t("No group matches the filters"))+" ")])],1)],2)],1):e._e()])},a=[],s=r(23796),n=r(70655),o=r(23940),l=r(56756),d=r(36458),u=r(75049),m=r(58123),p=r(78345);const{isNavigationFailure:c,NavigationFailureType:$}=p.Z,g=10;let h=class extends o.w3{constructor(...e){super(...e),(0,s.Z)(this,"name",""),(0,s.Z)(this,"PROFILES_PER_PAGE",g),(0,s.Z)(this,"config",void 0),(0,s.Z)(this,"RouteName",u.Z)}async onPageChange(){await this.doFetchMore()}get page(){return parseInt(this.$route.query.page||"1",10)}set page(e){this.pushRouter({page:e.toString()})}get domain(){return this.$route.query.domain||""}set domain(e){this.pushRouter({domain:e})}get preferredUsername(){return this.$route.query.preferredUsername||""}set preferredUsername(e){this.pushRouter({preferredUsername:e})}get local(){return"1"===this.$route.query.local}set local(e){this.pushRouter({local:e?"1":"0"})}get suspended(){return"1"===this.$route.query.suspended}set suspended(e){this.pushRouter({suspended:e?"1":"0"})}get showCreateGroupsButton(){return!!this.config?.restrictions?.onlyAdminCanCreateGroups}onFiltersChange({preferredUsername:e,domain:t}){this.preferredUsername=e,this.domain=t,this.doFetchMore()}async pushRouter(e){try{await this.$router.push({name:u.Z.ADMIN_GROUPS,query:{...this.$route.query,...e}})}catch(t){if(c(t,$.redirected))throw Error(t.toString())}}async doFetchMore(){await this.$apollo.queries.groups.fetchMore({variables:{preferredUsername:this.preferredUsername,name:this.name,domain:this.domain,local:this.local,suspended:this.suspended,page:this.page,limit:g}})}};h=(0,n.gn)([(0,o.wA)({apollo:{config:l.kh,groups:{query:d.jJ,variables(){return{preferredUsername:this.preferredUsername,name:this.name,domain:this.domain,local:this.local,suspended:this.suspended,page:this.page,limit:g}}}},metaInfo(){return{title:this.$t("Groups")}},components:{EmptyContent:m["default"]}})],h);const y=h,b=y;var f=r(1001),v=(0,f.Z)(b,i,a,!1,null,"4495f0b4",null);const I=v.exports}}]);
//# sourceMappingURL=GroupProfiles.3ecd3d97.js.map