"use strict";(self["webpackChunkmobilizon"]=self["webpackChunkmobilizon"]||[]).push([[38410],{54565:(e,t,r)=>{r.d(t,{gx:()=>s,hC:()=>o,Zi:()=>m,pO:()=>l,tC:()=>d,ON:()=>u,_Y:()=>c});var i=r(26303),a=r(2156);const s=i.ZP`
  fragment DiscussionBasicFields on Discussion {
    id
    title
    slug
    insertedAt
    updatedAt
    lastComment {
      id
      text
      actor {
        ...ActorFragment
      }
      publishedAt
      deletedAt
    }
  }
  ${a.XE}
`,n=(i.ZP`
  fragment DiscussionFieldsReply on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      updatedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`,i.ZP`
  fragment DiscussionFields on Discussion {
    id
    title
    slug
    lastComment {
      id
      text
      insertedAt
      updatedAt
      deletedAt
      publishedAt
      actor {
        ...ActorFragment
      }
    }
    actor {
      ...ActorFragment
    }
    creator {
      ...ActorFragment
    }
  }
  ${a.XE}
`),o=i.ZP`
  mutation createDiscussion($title: String!, $actorId: ID!, $text: String!) {
    createDiscussion(title: $title, text: $text, actorId: $actorId) {
      ...DiscussionFields
    }
  }
  ${n}
`,m=i.ZP`
  mutation replyToDiscussion($discussionId: ID!, $text: String!) {
    replyToDiscussion(discussionId: $discussionId, text: $text) {
      ...DiscussionFields
    }
  }
  ${n}
`,l=i.ZP`
  query getDiscussion($slug: String!, $page: Int, $limit: Int) {
    discussion(slug: $slug) {
      comments(page: $page, limit: $limit) {
        total
        elements {
          id
          text
          actor {
            ...ActorFragment
          }
          insertedAt
          updatedAt
          deletedAt
          publishedAt
        }
      }
      ...DiscussionFields
    }
  }
  ${n}
  ${a.XE}
`,d=i.ZP`
  mutation updateDiscussion($discussionId: ID!, $title: String!) {
    updateDiscussion(discussionId: $discussionId, title: $title) {
      ...DiscussionFields
    }
  }
  ${n}
`,u=i.ZP`
  mutation deleteDiscussion($discussionId: ID!) {
    deleteDiscussion(discussionId: $discussionId) {
      id
    }
  }
`,c=i.ZP`
  subscription ($slug: String!) {
    discussionCommentChanged(slug: $slug) {
      id
      lastComment {
        id
        text
        updatedAt
        insertedAt
        deletedAt
        publishedAt
        actor {
          ...ActorFragment
        }
      }
    }
  }
  ${a.XE}
`},36458:(e,t,r)=>{r.d(t,{jJ:()=>u,_h:()=>p,OW:()=>g,yz:()=>$,t3:()=>v,iP:()=>b,dm:()=>h,fc:()=>I,Ew:()=>y});var i=r(26303),a=r(54565),s=r(58802),n=r(13433),o=r(2156),m=r(25463),l=r(79515),d=r(16978);const u=i.ZP`
  query ListGroups(
    $preferredUsername: String
    $name: String
    $domain: String
    $local: Boolean
    $suspended: Boolean
    $page: Int
    $limit: Int
  ) {
    groups(
      preferredUsername: $preferredUsername
      name: $name
      domain: $domain
      local: $local
      suspended: $suspended
      page: $page
      limit: $limit
    ) {
      elements {
        ...ActorFragment
        suspended
        avatar {
          id
          url
        }
        banner {
          id
          url
        }
        organizedEvents {
          elements {
            id
            uuid
            title
            beginsOn
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
`,c=i.ZP`
  fragment GroupFullFields on Group {
    ...ActorFragment
    suspended
    visibility
    openness
    manuallyApprovesFollowers
    physicalAddress {
      description
      street
      locality
      postalCode
      region
      country
      geom
      type
      id
      originId
      url
    }
    avatar {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    banner {
      id
      url
      name
      metadata {
        width
        height
        blurhash
      }
    }
    organizedEvents(
      afterDatetime: $afterDateTime
      beforeDatetime: $beforeDateTime
      page: $organisedEventsPage
      limit: $organisedEventsLimit
    ) {
      elements {
        id
        uuid
        title
        beginsOn
        draft
        language
        options {
          maximumAttendeeCapacity
        }
        participantStats {
          participant
          notApproved
        }
        attributedTo {
          ...ActorFragment
        }
        organizerActor {
          ...ActorFragment
        }
        picture {
          id
          url
        }
        physicalAddress {
          ...AdressFragment
        }
        options {
          ...EventOptions
        }
        tags {
          ...TagFragment
        }
      }
      total
    }
    discussions(page: $discussionsPage, limit: $discussionsLimit) {
      total
      elements {
        ...DiscussionBasicFields
      }
    }
    posts(page: $postsPage, limit: $postsLimit) {
      total
      elements {
        ...PostBasicFields
      }
    }
    members(page: $membersPage, limit: $membersLimit) {
      elements {
        id
        role
        actor {
          ...ActorFragment
        }
        insertedAt
      }
      total
    }
    resources(page: 1, limit: 3) {
      elements {
        id
        title
        resourceUrl
        summary
        updatedAt
        type
        path
        metadata {
          ...ResourceMetadataBasicFields
        }
      }
      total
    }
    todoLists {
      elements {
        id
        title
        todos {
          elements {
            id
            title
            status
            dueDate
            assignedTo {
              id
              preferredUsername
            }
          }
          total
        }
      }
      total
    }
  }
  ${o.XE}
  ${m.UY}
  ${d.D}
  ${l.i4}
`,p=i.ZP`
  query FetchGroup(
    $name: String!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    group(preferredUsername: $name) {
      ...GroupFullFields
    }
  }
  ${c}
  ${a.gx}
  ${n.tC}
  ${s.Os}
`,g=i.ZP`
  query GetGroup(
    $id: ID!
    $afterDateTime: DateTime
    $beforeDateTime: DateTime
    $organisedEventsPage: Int
    $organisedEventsLimit: Int
    $postsPage: Int
    $postsLimit: Int
    $membersPage: Int
    $membersLimit: Int
    $discussionsPage: Int
    $discussionsLimit: Int
  ) {
    getGroup(id: $id) {
      mediaSize
      ...GroupFullFields
    }
  }
  ${c}
  ${a.gx}
  ${n.tC}
  ${s.Os}
`,$=i.ZP`
  mutation CreateGroup(
    $preferredUsername: String!
    $name: String!
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
  ) {
    createGroup(
      preferredUsername: $preferredUsername
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
    ) {
      ...ActorFragment
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,v=i.ZP`
  mutation UpdateGroup(
    $id: ID!
    $name: String
    $summary: String
    $avatar: MediaInput
    $banner: MediaInput
    $visibility: GroupVisibility
    $openness: Openness
    $physicalAddress: AddressInput
    $manuallyApprovesFollowers: Boolean
  ) {
    updateGroup(
      id: $id
      name: $name
      summary: $summary
      banner: $banner
      avatar: $avatar
      visibility: $visibility
      openness: $openness
      physicalAddress: $physicalAddress
      manuallyApprovesFollowers: $manuallyApprovesFollowers
    ) {
      ...ActorFragment
      visibility
      openness
      manuallyApprovesFollowers
      banner {
        id
        url
      }
    }
  }
  ${o.XE}
`,b=i.ZP`
  mutation DeleteGroup($groupId: ID!) {
    deleteGroup(groupId: $groupId) {
      id
    }
  }
`,h=i.ZP`
  mutation LeaveGroup($groupId: ID!) {
    leaveGroup(groupId: $groupId) {
      id
    }
  }
`,I=i.ZP`
  mutation RefreshProfile($actorId: ID!) {
    refreshProfile(id: $actorId) {
      id
    }
  }
`,y=i.ZP`
  query GroupTimeline(
    $preferredUsername: String!
    $type: ActivityType
    $author: ActivityAuthor
    $page: Int
    $limit: Int
  ) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      activity(type: $type, author: $author, page: $page, limit: $limit) {
        total
        elements {
          id
          insertedAt
          subject
          subjectParams {
            key
            value
          }
          type
          author {
            ...ActorFragment
          }
          group {
            ...ActorFragment
          }
          object {
            ... on Event {
              id
              title
            }
            ... on Post {
              id
              title
            }
            ... on Member {
              id
              actor {
                ...ActorFragment
              }
            }
            ... on Resource {
              id
              title
              path
              type
            }
            ... on Discussion {
              id
              title
              slug
            }
            ... on Comment {
              id
            }
            ... on Group {
              ...ActorFragment
              visibility
              openness
              physicalAddress {
                id
              }
              banner {
                id
                url
              }
            }
          }
        }
      }
    }
  }
  ${o.XE}
`;i.ZP`
  query CloseGroups($location: String, $radius: Float) {
    searchGroups(location: $location, radius: $radius, page: 1, limit: 10) {
      total
      elements {
        ...ActorFragment
        physicalAddress {
          ...AdressFragment
        }
      }
    }
  }
  ${o.XE}
  ${m.UY}
`},32542:(e,t,r)=>{r.d(t,{vB:()=>n,g0:()=>o,BJ:()=>m,Eo:()=>l,rn:()=>d,HK:()=>u,Tg:()=>c,KX:()=>p});var i=r(26303),a=r(2156);const s=i.ZP`
  fragment MemberFragment on Member {
    id
    role
    parent {
      ...ActorFragment
    }
    actor {
      ...ActorFragment
    }
    insertedAt
  }
  ${a.XE}
`,n=i.ZP`
  mutation InviteMember($groupId: ID!, $targetActorUsername: String!) {
    inviteMember(groupId: $groupId, targetActorUsername: $targetActorUsername) {
      ...MemberFragment
    }
  }
  ${s}
`,o=i.ZP`
  mutation AcceptInvitation($id: ID!) {
    acceptInvitation(id: $id) {
      ...MemberFragment
    }
  }
  ${s}
`,m=i.ZP`
  mutation RejectInvitation($id: ID!) {
    rejectInvitation(id: $id) {
      ...MemberFragment
    }
  }
  ${s}
`,l=i.ZP`
  query ($name: String!, $roles: String, $page: Int, $limit: Int) {
    group(preferredUsername: $name) {
      ...ActorFragment
      members(page: $page, limit: $limit, roles: $roles) {
        elements {
          id
          role
          actor {
            ...ActorFragment
          }
          insertedAt
        }
        total
      }
    }
  }
  ${a.XE}
`,d=i.ZP`
  mutation UpdateMember($memberId: ID!, $role: MemberRoleEnum!) {
    updateMember(memberId: $memberId, role: $role) {
      id
      role
    }
  }
`,u=i.ZP`
  mutation RemoveMember($memberId: ID!, $exclude: Boolean) {
    removeMember(memberId: $memberId, exclude: $exclude) {
      id
    }
  }
`,c=i.ZP`
  mutation ApproveMember($memberId: ID!) {
    approveMember(memberId: $memberId) {
      ...MemberFragment
    }
  }
  ${s}
`,p=i.ZP`
  mutation JoinGroup($groupId: ID!) {
    joinGroup(groupId: $groupId) {
      ...MemberFragment
    }
  }
  ${s}
`},13433:(e,t,r)=>{r.d(t,{tC:()=>o,Gw:()=>m,QV:()=>l,Sx:()=>d,vG:()=>u,Xv:()=>c});var i=r(26303),a=r(2156),s=r(79515);const n=i.ZP`
  fragment PostFragment on Post {
    id
    title
    slug
    url
    body
    draft
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    tags {
      ...TagFragment
    }
    picture {
      id
      url
      name
      metadata {
        height
        width
        blurhash
      }
    }
  }
  ${s.i4}
  ${a.XE}
`,o=i.ZP`
  fragment PostBasicFields on Post {
    id
    title
    slug
    url
    author {
      ...ActorFragment
    }
    attributedTo {
      ...ActorFragment
    }
    insertedAt
    updatedAt
    publishAt
    draft
    visibility
    language
    picture {
      id
      url
      name
    }
    tags {
      ...TagFragment
    }
  }
  ${a.XE}
  ${s.i4}
`,m=i.ZP`
  query GroupPosts($preferredUsername: String!, $page: Int, $limit: Int) {
    group(preferredUsername: $preferredUsername) {
      ...ActorFragment
      posts(page: $page, limit: $limit) {
        total
        elements {
          ...PostBasicFields
        }
      }
    }
  }
  ${o}
`,l=i.ZP`
  query Post($slug: String!) {
    post(slug: $slug) {
      ...PostFragment
    }
  }
  ${n}
`,d=i.ZP`
  mutation CreatePost(
    $title: String!
    $body: String
    $attributedToId: ID!
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    createPost(
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,u=i.ZP`
  mutation UpdatePost(
    $id: ID!
    $title: String
    $body: String
    $attributedToId: ID
    $visibility: PostVisibility
    $draft: Boolean
    $tags: [String]
    $picture: MediaInput
  ) {
    updatePost(
      id: $id
      title: $title
      body: $body
      attributedToId: $attributedToId
      visibility: $visibility
      draft: $draft
      tags: $tags
      picture: $picture
    ) {
      ...PostFragment
    }
  }
  ${n}
`,c=i.ZP`
  mutation DeletePost($id: ID!) {
    deletePost(id: $id) {
      id
    }
  }
`},58802:(e,t,r)=>{r.d(t,{Os:()=>s,ZX:()=>n,RP:()=>o,p3:()=>m,L2:()=>l,qC:()=>d});var i=r(26303),a=r(2156);const s=i.ZP`
  fragment ResourceMetadataBasicFields on ResourceMetadata {
    imageRemoteUrl
    height
    width
    type
    faviconUrl
  }
`,n=i.ZP`
  query GetResource(
    $path: String!
    $username: String!
    $page: Int
    $limit: Int
  ) {
    resource(path: $path, username: $username) {
      id
      title
      summary
      url
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
      parent {
        id
        path
        type
      }
      actor {
        ...ActorFragment
      }
      children(page: $page, limit: $limit) {
        total
        elements {
          id
          title
          summary
          url
          type
          path
          resourceUrl
          parent {
            id
            path
            type
          }
          publishedAt
          updatedAt
          insertedAt
          metadata {
            ...ResourceMetadataBasicFields
          }
        }
      }
    }
  }
  ${a.XE}
  ${s}
`,o=i.ZP`
  mutation CreateResource(
    $title: String!
    $parentId: ID
    $summary: String
    $actorId: ID!
    $resourceUrl: String
    $type: String
  ) {
    createResource(
      title: $title
      parentId: $parentId
      summary: $summary
      actorId: $actorId
      resourceUrl: $resourceUrl
      type: $type
    ) {
      id
      title
      summary
      url
      resourceUrl
      updatedAt
      path
      type
      metadata {
        ...ResourceMetadataBasicFields
        authorName
        authorUrl
        providerName
        providerUrl
        html
      }
    }
  }
  ${s}
`,m=i.ZP`
  mutation UpdateResource(
    $id: ID!
    $title: String
    $summary: String
    $parentId: ID
    $resourceUrl: String
  ) {
    updateResource(
      id: $id
      title: $title
      parentId: $parentId
      summary: $summary
      resourceUrl: $resourceUrl
    ) {
      id
      title
      summary
      url
      path
      type
      resourceUrl
      parent {
        id
        path
      }
    }
  }
`,l=i.ZP`
  mutation DeleteResource($id: ID!) {
    deleteResource(id: $id) {
      id
    }
  }
`,d=i.ZP`
  mutation PreviewResourceLink($resourceUrl: String!) {
    previewResourceLink(resourceUrl: $resourceUrl) {
      title
      description
      ...ResourceMetadataBasicFields
      authorName
      authorUrl
      providerName
      providerUrl
      html
    }
  }
  ${s}
`},12307:(e,t,r)=>{r.d(t,{Z:()=>F});var i=function(){var e=this,t=e.$createElement,r=e._self._c||t;return e.invitations&&e.invitations.length>0?r("section",{staticClass:"card my-3"},e._l(e.invitations,(function(t){return r("InvitationCard",{key:t.id,attrs:{member:t},on:{accept:e.acceptInvitation,reject:e.rejectInvitation}})})),1):e._e()},a=[],s=r(23796),n=r(70655),o=r(32542),m=r(23940),l=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("div",{staticClass:"card"},[r("div",{staticClass:"card-content media"},[r("div",{staticClass:"media-content"},[r("div",{staticClass:"content"},[r("i18n",{attrs:{tag:"p",path:"You have been invited by {invitedBy} to the following group:"}},[r("b",{attrs:{slot:"invitedBy"},slot:"invitedBy"},[e._v(e._s(e.member.invitedBy.name))])])],1),r("div",{staticClass:"media subfield"},[r("div",{staticClass:"media-left"},[e.member.parent.avatar?r("figure",{staticClass:"image is-48x48"},[r("img",{staticClass:"is-rounded",attrs:{src:e.member.parent.avatar.url,alt:""}})]):r("b-icon",{attrs:{size:"is-large",icon:"account-group"}})],1),r("div",{staticClass:"media-content"},[r("div",{staticClass:"level"},[r("div",{staticClass:"level-left"},[r("div",{staticClass:"level-item mr-3"},[r("router-link",{attrs:{to:{name:e.RouteName.GROUP,params:{preferredUsername:e.usernameWithDomain(e.member.parent)}}}},[r("h3",{staticClass:"is-size-5"},[e._v(e._s(e.member.parent.name))]),r("p",{staticClass:"is-size-7 has-text-grey-dark"},[e.member.parent.domain?r("span",[e._v(" "+e._s("@"+e.member.parent.preferredUsername+"@"+e.member.parent.domain)+" ")]):r("span",[e._v(e._s("@"+e.member.parent.preferredUsername))])])])],1)]),r("div",{staticClass:"level-right"},[r("div",{staticClass:"level-item"},[r("b-button",{attrs:{type:"is-success"},on:{click:function(t){return e.$emit("accept",e.member.id)}}},[e._v(" "+e._s(e.$t("Accept"))+" ")])],1),r("div",{staticClass:"level-item"},[r("b-button",{attrs:{type:"is-danger"},on:{click:function(t){return e.$emit("reject",e.member.id)}}},[e._v(" "+e._s(e.$t("Decline"))+" ")])],1)])])])])])])])},d=[],u=r(43637),c=r(75049);let p=class extends m.w3{constructor(...e){super(...e),(0,s.Z)(this,"member",void 0),(0,s.Z)(this,"RouteName",c.Z),(0,s.Z)(this,"usernameWithDomain",u.U_)}};(0,n.gn)([(0,m.fI)({required:!0})],p.prototype,"member",void 0),p=(0,n.gn)([m.wA],p);const g=p,$=g;var v=r(1001),b=(0,v.Z)($,l,d,!1,null,"ffa2d974",null);const h=b.exports;var I=r(2156);let y=class extends m.w3{constructor(...e){super(...e),(0,s.Z)(this,"invitations",void 0)}async acceptInvitation(e){try{await this.$apollo.mutate({mutation:o.g0,variables:{id:e},refetchQueries({data:e}){const t=e?.acceptInvitation?.actor,r=e?.acceptInvitation?.parent;return t&&r?[{query:I.lh,variables:{id:t.id,group:(0,u.U_)(r)}}]:[]}})}catch(t){console.error(t),t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}async rejectInvitation(e){try{await this.$apollo.mutate({mutation:o.BJ,variables:{id:e},refetchQueries({data:e}){const t=e?.rejectInvitation?.actor,r=e?.rejectInvitation?.parent;return t&&r?[{query:I.lh,variables:{id:t.id,group:(0,u.U_)(r)}}]:[]}})}catch(t){console.error(t),t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}};(0,n.gn)([(0,m.fI)({required:!0,type:Array})],y.prototype,"invitations",void 0),y=(0,n.gn)([(0,m.wA)({components:{InvitationCard:h}})],y);const A=y,f=A;var P=(0,v.Z)(f,i,a,!1,null,null,null);const F=P.exports},32516:(e,t,r)=>{r.r(t),r.d(t,{default:()=>U});var i=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("section",{staticClass:"section container"},[r("h1",{staticClass:"title"},[e._v(e._s(e.$t("My groups")))]),r("p",[e._v(" "+e._s(e.$t("Groups are spaces for coordination and preparation to better organize events and manage your community."))+" ")]),e.hideCreateGroupButton?e._e():r("div",{staticClass:"buttons"},[r("router-link",{staticClass:"button is-primary",attrs:{to:{name:e.RouteName.CREATE_GROUP}}},[e._v(e._s(e.$t("Create group")))])],1),r("b-loading",{attrs:{active:e.$apollo.loading},on:{"update:active":function(t){return e.$set(e.$apollo,"loading",t)}}}),r("invitations",{attrs:{invitations:e.invitations},on:{"accept-invitation":e.acceptInvitation,"reject-invitation":e.rejectInvitation}}),e.memberships&&e.memberships.length>0?r("section",[e._l(e.memberships,(function(t){return r("GroupMemberCard",{key:t.id,staticClass:"group-member-card",attrs:{member:t},on:{leave:function(r){return e.leaveGroup(t.parent)}}})})),r("b-pagination",{attrs:{total:e.membershipsPages.total,"per-page":e.limit,"aria-next-label":e.$t("Next page"),"aria-previous-label":e.$t("Previous page"),"aria-page-label":e.$t("Page"),"aria-current-label":e.$t("Current page")},model:{value:e.page,callback:function(t){e.page=t},expression:"page"}})],2):e._e(),0!==e.memberships.length||e.$apollo.loading?e._e():r("section",{staticClass:"has-text-centered not-found"},[r("div",{staticClass:"columns is-vertical is-centered"},[r("div",{staticClass:"column is-three-quarters"},[r("div",{staticClass:"img-container",class:{webp:e.supportsWebPFormat}}),r("div",{staticClass:"content has-text-centered"},[r("p",[e._v(" "+e._s(e.$t("You are not part of any group."))+" "),r("i18n",{attrs:{path:"Do you wish to {create_group} or {explore_groups}?"}},[r("router-link",{attrs:{slot:"create_group",to:{name:e.RouteName.CREATE_GROUP}},slot:"create_group"},[e._v(e._s(e.$t("create a group")))]),r("router-link",{attrs:{slot:"explore_groups",to:{name:e.RouteName.SEARCH}},slot:"explore_groups"},[e._v(e._s(e.$t("explore the groups")))])],1)],1)])])])])],1)},a=[],s=r(23796),n=r(70655),o=r(23940),m=r(56756),l=r(2156),d=r(36458),u=function(){var e=this,t=e.$createElement,r=e._self._c||t;return r("div",{staticClass:"card"},[r("div",{staticClass:"identity-header",attrs:{dir:"auto"}},[e.member.actor.avatar?r("figure",{staticClass:"image is-24x24"},[r("img",{staticClass:"is-rounded",attrs:{src:e.member.actor.avatar.url,alt:""}})]):r("b-icon",{attrs:{icon:"account-circle"}}),e._v(" "+e._s(e.displayNameAndUsername(e.member.actor))+" ")],1),r("div",{staticClass:"card-content",attrs:{dir:"auto"}},[r("div",[r("div",{staticClass:"media"},[r("div",{staticClass:"media-left"},[e.member.parent.avatar?r("figure",{staticClass:"image is-48x48"},[r("img",{staticClass:"is-rounded",attrs:{src:e.member.parent.avatar.url,alt:""}})]):r("b-icon",{attrs:{size:"is-large",icon:"account-group"}})],1),r("div",{staticClass:"media-content",attrs:{dir:"auto"}},[r("router-link",{attrs:{to:{name:e.RouteName.GROUP,params:{preferredUsername:e.usernameWithDomain(e.member.parent)}}}},[r("h2",[e._v(e._s(e.member.parent.name))]),r("p",{staticClass:"is-6 has-text-grey-dark"},[r("span",[e._v(e._s("@"+e.usernameWithDomain(e.member.parent)))]),r("b-taglist",[e.member.role===e.MemberRole.ADMINISTRATOR?r("b-tag",{attrs:{type:"is-info"}},[e._v(e._s(e.$t("Administrator")))]):e.member.role===e.MemberRole.MODERATOR?r("b-tag",{attrs:{type:"is-info"}},[e._v(e._s(e.$t("Moderator")))]):e._e()],1)],1)])],1)]),e.member.parent.summary?r("div",{staticClass:"content"},[r("p",{domProps:{innerHTML:e._s(e.member.parent.summary)}})]):e._e()]),r("div",[r("b-dropdown",{attrs:{"aria-role":"list",position:"is-bottom-left"}},[r("b-icon",{attrs:{slot:"trigger",icon:"dots-horizontal"},slot:"trigger"}),r("b-dropdown-item",{attrs:{"aria-role":"listitem"},on:{click:function(t){return e.$emit("leave")}}},[r("b-icon",{attrs:{icon:"exit-to-app"}}),e._v(" "+e._s(e.$t("Leave"))+" ")],1)],1)],1)])])},c=[],p=r(43637),g=r(76829),$=r(75049);let v=class extends o.w3{constructor(...e){super(...e),(0,s.Z)(this,"member",void 0),(0,s.Z)(this,"RouteName",$.Z),(0,s.Z)(this,"usernameWithDomain",p.U_),(0,s.Z)(this,"displayNameAndUsername",p.a6),(0,s.Z)(this,"MemberRole",g.UB)}};(0,n.gn)([(0,o.fI)({required:!0})],v.prototype,"member",void 0),v=(0,n.gn)([o.wA],v);const b=v,h=b;var I=r(1001),y=(0,I.Z)(h,u,c,!1,null,"16c56b0f",null);const A=y.exports;var f=r(12307),P=r(92273);let F=class extends o.w3{constructor(...e){super(...e),(0,s.Z)(this,"membershipsPages",void 0),(0,s.Z)(this,"RouteName",$.Z),(0,s.Z)(this,"config",void 0),(0,s.Z)(this,"page",1),(0,s.Z)(this,"limit",10),(0,s.Z)(this,"supportsWebPFormat",P.q)}acceptInvitation(e){return this.$router.push({name:$.Z.GROUP,params:{preferredUsername:(0,p.U_)(e.parent)}})}rejectInvitation({id:e}){const t=this.membershipsPages.elements.findIndex((t=>t.role===g.UB.INVITED&&t.id===e));t>-1&&(this.membershipsPages.elements.splice(t,1),this.membershipsPages.total-=1)}async leaveGroup(e){try{const{page:t,limit:r}=this;await this.$apollo.mutate({mutation:d.dm,variables:{groupId:e.id},refetchQueries:[{query:l.bM,variables:{page:t,limit:r}}]})}catch(t){t.graphQLErrors&&t.graphQLErrors.length>0&&this.$notifier.error(t.graphQLErrors[0].message)}}get invitations(){return this.membershipsPages?this.membershipsPages.elements.filter((e=>e.role===g.UB.INVITED)):[]}get memberships(){return this.membershipsPages?this.membershipsPages.elements.filter((e=>![g.UB.INVITED,g.UB.REJECTED].includes(e.role))):[]}get hideCreateGroupButton(){return!!this.config?.restrictions?.onlyAdminCanCreateGroups}};F=(0,n.gn)([(0,o.wA)({components:{GroupMemberCard:A,Invitations:f.Z},apollo:{config:{query:m.kh},membershipsPages:{query:l.bM,fetchPolicy:"cache-and-network",variables(){return{page:this.page,limit:this.limit}},update:e=>e.loggedUser.memberships}},metaInfo(){return{title:this.$t("My groups"),titleTemplate:"%s | Mobilizon"}}})],F);const D=F,C=D;var Z=(0,I.Z)(C,i,a,!1,null,"556d18dc",null);const U=Z.exports}}]);
//# sourceMappingURL=MyGroups.1d567117.js.map